#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x26c5779b, "");
SYMBOL_CRC(drm_gem_vram_put, 0xc40096eb, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x5c321023, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xa9dbb055, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xc4e0e0a9, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xd32d743b, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xbef9b8d9, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xb9d7c1ac, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x118d9ed5, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xc4dc73a9, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x0f8717dc, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x76159fcb, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xad17c672, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x7a97e39d, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xde544713, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xdf58a79f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a964293, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb3fe8ac, "dma_resv_reset_max_fences" },
	{ 0x27f98c6f, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48d73cb3, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf50bdbc5, "drm_gem_object_release" },
	{ 0xf556e6ad, "ttm_tt_init" },
	{ 0xb7925da8, "drm_gem_handle_create" },
	{ 0xe931d306, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9223cd7d, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x49ee8792, "drm_debugfs_add_files" },
	{ 0xcf2840af, "ttm_bo_init_validate" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2383c977, "ttm_device_init" },
	{ 0x11d8892c, "ttm_bo_validate" },
	{ 0x306f60a9, "ttm_bo_move_to_lru_tail" },
	{ 0xaf1e2fc1, "ttm_bo_vmap" },
	{ 0xde31c023, "ttm_bo_put" },
	{ 0xad47c75b, "ttm_resource_free" },
	{ 0x10665023, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x434e7353, "ttm_tt_fini" },
	{ 0x2bf349fd, "ttm_device_fini" },
	{ 0x105ddfa2, "drm_gem_plane_helper_prepare_fb" },
	{ 0x71699b25, "ttm_bo_eviction_valuable" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x1b177376, "drm_gem_ttm_print_info" },
	{ 0x90a0cb66, "ttm_range_man_init_nocheck" },
	{ 0xfa4b87e6, "ww_mutex_lock_interruptible" },
	{ 0x1d03db83, "ttm_resource_manager_debug" },
	{ 0x8a7f89ed, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x88de18c7, "ttm_range_man_fini_nocheck" },
	{ 0x5cc4ff14, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84642fd1, "ttm_bo_pin" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
