#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x180e26a6, "");
SYMBOL_CRC(flow_resources_alloc, 0x55fc2152, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x313edaf0, "");
SYMBOL_CRC(flow_resources_add, 0x4774657a, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xaf35ece6, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x8d15a233, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xcff3f2e5, "");
SYMBOL_CRC(uverbs_idr_class, 0xb80f0894, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x441a2ca0, "");
SYMBOL_CRC(uverbs_fd_class, 0x22568336, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x1979dc1d, "");
SYMBOL_CRC(_uverbs_alloc, 0xc9501a0c, "");
SYMBOL_CRC(uverbs_get_flags64, 0xfc9f0729, "");
SYMBOL_CRC(uverbs_get_flags32, 0x649cffb4, "");
SYMBOL_CRC(uverbs_copy_to, 0xb4ceefdb, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x2a915fdc, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xa7b172b9, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x30a3f445, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xd9d8371c, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x95207523, "");
SYMBOL_CRC(ib_umem_get, 0xde87bb43, "");
SYMBOL_CRC(ib_umem_release, 0x261d1af8, "");
SYMBOL_CRC(ib_umem_copy_from, 0x519610b9, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x5afeeeba, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x67295726, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x9aaf0dbd, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xfddb04b5, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x083f48dd, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x41ab242d, "");
SYMBOL_CRC(ib_umem_odp_get, 0x8f134862, "");
SYMBOL_CRC(ib_umem_odp_release, 0x9e236604, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x8ba6e886, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xa729bc5a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b46f4d3, "dma_buf_get" },
	{ 0x1847dd76, "ib_query_port" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xfe1cff4a, "ww_mutex_lock" },
	{ 0xa0bec561, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x868efaaf, "ib_qp_usecnt_inc" },
	{ 0x3cb72434, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2118852a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc6ef944c, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefd1c6c1, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x68282b10, "rdma_create_user_ah" },
	{ 0x1e8103ac, "rdma_destroy_ah_user" },
	{ 0xfea1be6a, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x649f23a8, "ib_destroy_cq_user" },
	{ 0xeddd417, "down_read" },
	{ 0x35f8e57a, "__mmdrop" },
	{ 0xe27291c0, "rdma_restrack_del" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8924c423, "set_page_dirty" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x4b9f80f9, "__mmap_lock_do_trace_start_locking" },
	{ 0x55562f67, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa5929c12, "igrab" },
	{ 0x168b1116, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f8d6244, "mmput" },
	{ 0x52c63dff, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6754c01f, "__tracepoint_mmap_lock_start_locking" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdbfa4117, "__mmap_lock_do_trace_released" },
	{ 0x17e928bf, "ib_alloc_xrcd_user" },
	{ 0xa8857036, "xa_store" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0xf6360af4, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x219455c6, "alloc_pages_noprof" },
	{ 0xf3a08070, "ib_dealloc_xrcd_user" },
	{ 0xf16936e8, "dma_buf_detach" },
	{ 0x5216bdbe, "stream_open" },
	{ 0x8bb46259, "mmu_interval_notifier_insert" },
	{ 0xcb426451, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x730e7722, "ib_open_qp" },
	{ 0x92479229, "ib_dealloc_pd_user" },
	{ 0x98168fb7, "rdma_get_gid_attr" },
	{ 0xefc285fc, "dma_unmap_sg_attrs" },
	{ 0x1db357c8, "rdma_port_get_link_layer" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8c956a46, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd11c9a15, "rdma_query_gid_table" },
	{ 0xb4f0e4d8, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x299600d2, "rdma_restrack_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x84fb3fa5, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x9233683, "rdma_umap_priv_init" },
	{ 0xbb53856b, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xc706f688, "ib_destroy_wq_user" },
	{ 0xf6fa8548, "put_pid" },
	{ 0xcf6b96b7, "class_register" },
	{ 0xcb2866f2, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x8dca6bfe, "rdma_user_mmap_entry_put" },
	{ 0xf4337212, "pin_user_pages_fast" },
	{ 0x68fb5724, "mmu_interval_notifier_remove" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6b3c96b1, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1bdf1ae1, "ib_unregister_client" },
	{ 0x72b9a282, "show_class_attr_string" },
	{ 0xf123c61d, "unpin_user_pages_dirty_lock" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25c35704, "dev_set_name" },
	{ 0x4895e8f5, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe6792654, "mmu_interval_read_begin" },
	{ 0x156b6305, "ib_create_qp_user" },
	{ 0xfb685296, "dma_resv_wait_timeout" },
	{ 0xf0234bc5, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x7c4e9577, "get_pid_task" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x82145f50, "kill_fasync" },
	{ 0x62429c2f, "dma_unmap_page_attrs" },
	{ 0x88c8c99f, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x217207a5, "fget" },
	{ 0x94a6cb52, "__put_task_struct" },
	{ 0xb1d56ce7, "ib_query_srq" },
	{ 0x8a7f89ed, "ww_mutex_unlock" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0xcc2af21a, "__dynamic_ibdev_dbg" },
	{ 0x2ab992ce, "ib_rdmacg_try_charge" },
	{ 0x799add29, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6763cb53, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f0c4380, "unpin_user_page_range_dirty_lock" },
	{ 0x3fb9fb7b, "iput" },
	{ 0x9fe49c1c, "dma_buf_unpin" },
	{ 0x8bdf7c5f, "zap_vma_ptes" },
	{ 0x7581ab05, "ib_dereg_mr_user" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb6d1de40, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe79fe112, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34eb4c65, "rdma_dev_access_netns" },
	{ 0xe059fc0b, "get_device" },
	{ 0xd2a32669, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x72b6190b, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xc0353429, "dma_buf_dynamic_attach" },
	{ 0x8feaf16, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0x3091bc88, "ib_destroy_srq_user" },
	{ 0xcbb776c4, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5924f81d, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4d0a55a6, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x12071024, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xcb3fe8ac, "dma_resv_reset_max_fences" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5802e9b2, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd891815c, "put_device" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x53a3cba7, "ib_modify_qp_with_udata" },
	{ 0x32d42810, "ib_register_event_handler" },
	{ 0xb47c8616, "ib_detach_mcast" },
	{ 0x7cd188f5, "dma_buf_map_attachment" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x19a22649, "__free_pages" },
	{ 0x3948e3e0, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc13002a4, "module_put" },
	{ 0x9df4ed5e, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa88d4cfe, "compat_ptr_ioctl" },
	{ 0xb2e69ca5, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xb0c92f07, "__task_pid_nr_ns" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0x90a7119e, "fput" },
	{ 0x570cff47, "ib_set_client_data" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x22159321, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x5ac99e50, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "8275DB905A6F150367956DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
