#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1847dd76, "ib_query_port" },
	{ 0x37dcdf1e, "rdma_query_gid" },
	{ 0xc62f33b7, "ib_register_mad_agent" },
	{ 0xba903b6, "sbitmap_queue_clear" },
	{ 0x7a2eaece, "kmem_cache_size" },
	{ 0x62429c2f, "dma_unmap_page_attrs" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3091bc88, "ib_destroy_srq_user" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x95333115, "core_tpg_register" },
	{ 0x246ca78, "target_stop_session" },
	{ 0x6fb31cc8, "target_wait_for_sess_cmds" },
	{ 0x3271c118, "target_remove_session" },
	{ 0x2c42f5e4, "ib_destroy_cm_id" },
	{ 0xc6ef944c, "ib_destroy_qp_user" },
	{ 0x7768b4af, "ib_cq_pool_put" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4d0a55a6, "dma_map_page_attrs" },
	{ 0x587e89d1, "kmem_cache_alloc_noprof" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd0a6d7a2, "kmem_cache_create" },
	{ 0xa8857036, "xa_store" },
	{ 0xb2e69ca5, "ib_create_srq_user" },
	{ 0x3308d91b, "rdma_disconnect" },
	{ 0xb222c146, "ib_send_cm_dreq" },
	{ 0x39846449, "ib_send_cm_drep" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x3948e3e0, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x570cff47, "ib_set_client_data" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x526fbbc2, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x92479229, "ib_dealloc_pd_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc0dadf4e, "ib_send_cm_rej" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2776ecda, "rdma_reject" },
	{ 0x1f6f78a6, "ib_cq_pool_get" },
	{ 0x1f8cb9ff, "rdma_create_qp" },
	{ 0x4b11148b, "ib_create_qp_kernel" },
	{ 0xdd5d523f, "ib_find_cached_pkey" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x59de07f1, "target_setup_session" },
	{ 0xdca59f9e, "rdma_accept" },
	{ 0x845ec36, "ib_send_cm_rep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x400bf577, "__ib_alloc_pd" },
	{ 0x1db357c8, "rdma_port_get_link_layer" },
	{ 0x841131ba, "ib_cm_listen" },
	{ 0x32d42810, "ib_register_event_handler" },
	{ 0x565c2d04, "ib_create_cm_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x210dddd1, "target_register_template" },
	{ 0x9df4ed5e, "ib_register_client" },
	{ 0x9270db5d, "target_unregister_template" },
	{ 0xb6cf0be5, "ib_modify_port" },
	{ 0xa0fa9858, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65b45cb, "complete" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x544c8d42, "rdma_notify" },
	{ 0x856ccc63, "ib_cm_notify" },
	{ 0x5e8d401c, "ib_cm_init_qp_attr" },
	{ 0x75494b36, "ib_modify_qp" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6cfc17f0, "init_net" },
	{ 0xabe8455, "__rdma_create_kernel_id" },
	{ 0x5701cc78, "rdma_bind_addr" },
	{ 0x3560a32c, "rdma_listen" },
	{ 0xa3dc6756, "rdma_destroy_id" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8fc04eba, "inet_pton_with_scope" },
	{ 0xa60e8717, "core_tpg_deregister" },
	{ 0x8d2ba9a3, "target_put_sess_cmd" },
	{ 0x2e580673, "target_execute_cmd" },
	{ 0xac11c001, "rdma_rw_ctx_wrs" },
	{ 0x1bdf1ae1, "ib_unregister_client" },
	{ 0x5594e5e1, "ib_create_ah_from_wc" },
	{ 0xb81a5bea, "ib_create_send_mad" },
	{ 0x77bb3bed, "ib_post_send_mad" },
	{ 0x4b6e0979, "ib_free_send_mad" },
	{ 0x1e8103ac, "rdma_destroy_ah_user" },
	{ 0x68f16072, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0x94503b11, "rdma_rw_ctx_init" },
	{ 0x9d051cdb, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd63d99fb, "__dma_sync_single_for_device" },
	{ 0xc2f4b03a, "transport_generic_free_cmd" },
	{ 0xb49f5442, "transport_generic_request_failure" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5347cdee, "__dma_sync_single_for_cpu" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xf55752b5, "target_submit_tmr" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0xc9607fa3, "target_init_cmd" },
	{ 0xa772e41b, "target_send_busy" },
	{ 0x2294d1a4, "target_submit_prep" },
	{ 0x4eba6ba4, "target_submit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "ib_core,target_core_mod,ib_cm,rdma_cm,scsi_common");


MODULE_INFO(srcversion, "D9AF77A0B8513017CB6BC73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
