#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x2c96374a, "");
SYMBOL_CRC(go7007_read_addr, 0x938fa18c, "");
SYMBOL_CRC(go7007_boot_encoder, 0xf21f0493, "");
SYMBOL_CRC(go7007_register_encoder, 0x5a4d5355, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x10a8cafc, "");
SYMBOL_CRC(go7007_alloc, 0x2cdd3b34, "");
SYMBOL_CRC(go7007_update_board, 0x46711fe8, "");
SYMBOL_CRC(go7007_snd_init, 0xffbcfb75, "");
SYMBOL_CRC(go7007_snd_remove, 0xd3514d07, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9e6ab7f, "vb2_vmalloc_memops" },
	{ 0xff5616fd, "snd_pcm_set_managed_buffer_all" },
	{ 0xc5ea062e, "param_ops_charp" },
	{ 0x9ececa63, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x139209b9, "vb2_fop_read" },
	{ 0xa1f084ce, "v4l2_device_register" },
	{ 0x1862d1c7, "i2c_add_adapter" },
	{ 0xc299929c, "snd_card_disconnect" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0x2345e47, "__video_register_device" },
	{ 0x33529369, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7071896d, "vb2_ioctl_streamon" },
	{ 0x4e4b9c0, "vb2_fop_poll" },
	{ 0x90f9095e, "v4l2_ctrl_new_std" },
	{ 0x82e2929c, "v4l2_ctrl_g_ctrl" },
	{ 0x66bc8154, "v4l2_ctrl_handler_free" },
	{ 0xfb435d2d, "v4l2_device_unregister" },
	{ 0x420000f9, "v4l2_subdev_call_wrappers" },
	{ 0xb7d739a, "snd_pcm_period_elapsed" },
	{ 0xaa57acb7, "v4l2_ctrl_log_status" },
	{ 0x5bbb42d6, "v4l2_event_queue" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x205ca99f, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8a98dcbe, "v4l2_event_unsubscribe" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x2be3ef1a, "vb2_ioctl_reqbufs" },
	{ 0xfed8ba57, "vb2_queue_init" },
	{ 0x3f975aa8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf9e37c69, "v4l2_device_put" },
	{ 0x9cba4af5, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4fb1ed76, "snd_pcm_new" },
	{ 0xd7ed152e, "snd_card_register" },
	{ 0xfd51fdf1, "v4l2_i2c_new_subdev_board" },
	{ 0x5520c7a6, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe505f7c, "request_firmware" },
	{ 0x55e6c8e0, "vb2_ops_wait_finish" },
	{ 0x6279b563, "v4l2_ctrl_handler_init_class" },
	{ 0xb819757f, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa829c1c4, "vb2_ioctl_querybuf" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb2b7ffd1, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2fbd79f0, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7020c275, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xc157e3f0, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc6493654, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4e5c71da, "__v4l2_ctrl_grab" },
	{ 0x537caec5, "vb2_ioctl_dqbuf" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xe29d93a4, "v4l2_ctrl_new_custom" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x85dc0247, "snd_card_free_when_closed" },
	{ 0x808f23a2, "vb2_buffer_done" },
	{ 0x1d600d36, "vb2_plane_vaddr" },
	{ 0x84cedbd4, "v4l2_ctrl_subscribe_event" },
	{ 0x46e0a333, "snd_pcm_set_ops" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc8f426ea, "v4l2_event_subscribe" },
	{ 0xa4e15417, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd21e603d, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x92ba1540, "snd_device_new" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-vmalloc,snd-pcm,videodev,videobuf2-v4l2,snd,videobuf2-common");


MODULE_INFO(srcversion, "5B5234BB82F944373BA4134");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
