#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x9aa61cb6, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x537ea715, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x2b3d7217, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xe2fde302, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x711c4156, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x375a8cbe, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x6437e34e, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x64834960, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x7db715dc, "_gpl");
SYMBOL_CRC(can_change_state, 0x7047a82f, "_gpl");
SYMBOL_CRC(can_bus_off, 0xa63ccd23, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xa13bc188, "_gpl");
SYMBOL_CRC(free_candev, 0x849f993c, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x8efb1da2, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x08862f89, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xc93ed18c, "");
SYMBOL_CRC(open_candev, 0x4b28c017, "_gpl");
SYMBOL_CRC(close_candev, 0x2f264f21, "_gpl");
SYMBOL_CRC(register_candev, 0x1af3cd30, "_gpl");
SYMBOL_CRC(unregister_candev, 0x124d6c32, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xdc481664, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x3263f349, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xf4b2a6e7, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x5800b123, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x0996b355, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x58e4e6e1, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x4440a179, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x85978c54, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xca8f0b25, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x3b87355c, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xc1d0b180, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xb3920ab6, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xaac91726, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xd81438f1, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xaf7f3646, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41d94395, "skb_dequeue" },
	{ 0x44b5e724, "rtnl_link_register" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xbc957ec5, "netdev_warn" },
	{ 0xd6b4aaff, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfbdb1346, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0x59208fdb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x158d21e4, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf101fc5, "napi_complete_done" },
	{ 0x4f51849b, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd06dabbb, "__napi_schedule" },
	{ 0x798fe022, "device_property_read_u32_array" },
	{ 0x624dd8cd, "rtnl_link_unregister" },
	{ 0xf5c5cbf6, "sk_skb_reason_drop" },
	{ 0x43fa6c00, "napi_enable" },
	{ 0xb485d14, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xad101e77, "register_netdev" },
	{ 0x6999a10c, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x439aaffb, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf82cef41, "netif_rx" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50cfae09, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f24b7e, "skb_clone" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0x83655cd, "dev_err_probe" },
	{ 0x80041cf7, "napi_schedule_prep" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xee706f15, "skb_put" },
	{ 0xa13e369b, "gpiod_set_value" },
	{ 0x7f3e695e, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x21706b77, "consume_skb" },
	{ 0x61f3c8c0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x37647251, "unregister_netdev" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "803C2919CA57762AEA077AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
