#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x3b78f8d0, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xeaeff9cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7c1a9bc, "netif_set_real_num_tx_queues" },
	{ 0x51b0f03a, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x33bf327f, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x58a51755, "dma_alloc_attrs" },
	{ 0xb6cff648, "debugfs_remove" },
	{ 0xd2119158, "pci_read_config_word" },
	{ 0x43fa6c00, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xf334603a, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xe7120e86, "dcbnl_ieee_notify" },
	{ 0xf5f5bede, "xsk_uses_need_wakeup" },
	{ 0xad101e77, "register_netdev" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0x6999a10c, "free_netdev" },
	{ 0x77c9e7ae, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaf00651e, "ethtool_op_get_link" },
	{ 0xbf0b4352, "eth_platform_get_mac_address" },
	{ 0x66005a03, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdeadf9ca, "__SCK__tp_func_xdp_exception" },
	{ 0x1d3cd537, "netif_tx_stop_all_queues" },
	{ 0x51018e57, "pci_restore_state" },
	{ 0x7b4552cf, "netif_tx_wake_queue" },
	{ 0xa80bbc04, "device_del" },
	{ 0x61299475, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5fda5946, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x8a333f21, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5830d8a1, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xec85e5cf, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xb19ad47e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2cd9c5, "flow_rule_match_ipv6_addrs" },
	{ 0xaec0fae9, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x99ce5025, "ptp_clock_unregister" },
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0xc31d9648, "xp_dma_unmap" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb5f8655, "netdev_unbind_sb_channel" },
	{ 0x59709c29, "dma_set_coherent_mask" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0xff141001, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xee756dfb, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x669ced4a, "netdev_bind_sb_channel_queue" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0x5f9b8e54, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a4af51f, "netdev_reset_tc" },
	{ 0xbaa268d2, "dma_free_attrs" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd63d99fb, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd41110ae, "call_netdevice_notifiers" },
	{ 0x33774345, "xp_set_rxq_info" },
	{ 0x9b0b3b66, "flow_rule_match_vlan" },
	{ 0xb8b04ba1, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6595bc5a, "napi_build_skb" },
	{ 0x694170d4, "__xdp_rxq_info_reg" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x50cfae09, "netif_carrier_off" },
	{ 0x67816d37, "devlink_priv" },
	{ 0x2d88569, "__hw_addr_sync_dev" },
	{ 0xd657951a, "devlink_port_register_with_ops" },
	{ 0xbc0e709c, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0x423fdbb9, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x40f90245, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4eb5ed9c, "dev_uc_add_excl" },
	{ 0x4205e0ff, "pci_disable_device" },
	{ 0x3eca0563, "xp_free" },
	{ 0x80b833a7, "dev_mc_add_excl" },
	{ 0x5b9e57a6, "dev_uc_add" },
	{ 0x4fae8d58, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6c36af2a, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xc129c5ae, "skb_add_rx_frag_netmem" },
	{ 0xbb43b0a6, "xdp_master_redirect" },
	{ 0xe08e1709, "__napi_schedule_irqoff" },
	{ 0x80041cf7, "napi_schedule_prep" },
	{ 0x2b22f8f8, "napi_consume_skb" },
	{ 0x569b6a72, "pci_read_config_byte" },
	{ 0x1135397d, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xbace522c, "napi_disable" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0xa9cec7e9, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x4463fc04, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe5ba9ba0, "flow_rule_match_control" },
	{ 0xc3572f5d, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4f98d02, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d78a627, "ethtool_op_get_ts_info" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0x1edcc3d8, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x42b90df5, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa8099d72, "__tracepoint_xdp_exception" },
	{ 0x5bd38f11, "xsk_tx_completed" },
	{ 0x634027d5, "napi_alloc_skb" },
	{ 0xcfbe67f9, "alloc_etherdev_mqs" },
	{ 0x38ec3de4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xdd50c908, "pcie_capability_read_word" },
	{ 0x9ae3a5b4, "device_set_wakeup_enable" },
	{ 0x7958c260, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3ce1967c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3c431ca0, "pci_find_ext_capability" },
	{ 0xd2f687, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xafcf1ef1, "xp_dma_map" },
	{ 0x268a59ae, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x9f285adc, "skb_copy_bits" },
	{ 0x3e2654b6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cd3f625, "pci_request_selected_regions" },
	{ 0x7df031f0, "pci_release_selected_regions" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0xac8cfe44, "pci_wake_from_d3" },
	{ 0xd0bb580d, "pci_enable_device" },
	{ 0x7f3e695e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xef68e1d6, "auxiliary_device_init" },
	{ 0x55eda6e9, "pci_enable_device_mem" },
	{ 0x21706b77, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x61f3c8c0, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f1f813b, "xsk_tx_peek_release_desc_batch" },
	{ 0x24182ca, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0xb3da3646, "bpf_warn_invalid_xdp_action" },
	{ 0xd3577716, "ndo_dflt_bridge_getlink" },
	{ 0x37647251, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xc31c7ccd, "xdp_convert_zc_to_xdp_frame" },
	{ 0x75ecc5ab, "xdp_features_set_redirect_target" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x27dfc6b7, "pci_get_device" },
	{ 0x62429c2f, "dma_unmap_page_attrs" },
	{ 0xe505f7c, "request_firmware" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x27aeed73, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5689c727, "pci_num_vf" },
	{ 0x63f999ec, "flow_rule_match_eth_addrs" },
	{ 0xce63a1d5, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfcb4f11f, "pci_disable_msi" },
	{ 0x31b64899, "ptp_clock_index" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb06b2138, "devlink_alloc_ns" },
	{ 0xbf425a3c, "devlink_register" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xb858fa8e, "xdp_do_redirect" },
	{ 0xc3179e5c, "devlink_free" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xbc957ec5, "netdev_warn" },
	{ 0x6934bcec, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9364e95a, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xcabb2b3c, "flow_rule_match_ipv4_addrs" },
	{ 0xfbdb1346, "__netif_napi_del" },
	{ 0x2d477d89, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc6bd8b55, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x59208fdb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb16abd6e, "pskb_expand_head" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0x31b5c254, "pci_restore_msi_state" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0xf73388d7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xabd6c3b1, "ptp_find_pin" },
	{ 0x5d576c48, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4d0a55a6, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xf101fc5, "napi_complete_done" },
	{ 0x5246ee3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x592f285a, "priv_to_devlink" },
	{ 0x3f697e25, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd891815c, "put_device" },
	{ 0xd06dabbb, "__napi_schedule" },
	{ 0x5d07addf, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1d3e3c0f, "pci_enable_msix_range" },
	{ 0x47138dd9, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19a22649, "__free_pages" },
	{ 0xb63d2d60, "__hw_addr_unsync_dev" },
	{ 0x7f052f5, "_dev_info" },
	{ 0x6cbc7e, "napi_gro_receive" },
	{ 0x67e185b7, "xdp_features_clear_redirect_target" },
	{ 0xd9f8386f, "pci_select_bars" },
	{ 0x8c83a28, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x38f75ed9, "xp_raw_get_dma" },
	{ 0x383c4029, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x10be5df1, "xdp_rxq_info_is_reg" },
	{ 0x9fcdf5d6, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x82eca34b, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5347cdee, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf2f1dbac, "pci_enable_msi" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x5aecbe82, "devlink_port_unregister" },
	{ 0xb302fd54, "devm_kfree" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x6cfc17f0, "init_net" },
	{ 0xf3d39861, "softnet_data" },
	{ 0x5401519a, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x6e22eee9, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9ff8b138, "ptp_clock_register" },
	{ 0x4185e2eb, "ethtool_intersect_link_masks" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F9BFF03E25780548DEAA711");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
