#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2087164, "phy_modify" },
	{ 0x3fad911a, "genphy_soft_reset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8fc84763, "ethnl_cable_test_result" },
	{ 0xe3cc5a4b, "ethnl_cable_test_fault_length" },
	{ 0xb431c2f4, "ethnl_cable_test_pulse" },
	{ 0xebcae6d0, "ethnl_cable_test_step" },
	{ 0x9f7e387e, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x4f694044, "sfp_select_interface" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xc492d6a3, "phy_save_page" },
	{ 0x6d4470d5, "phy_trigger_machine" },
	{ 0x7a992669, "phy_error" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe66c579a, "devm_hwmon_device_register_with_info" },
	{ 0x849b5051, "phy_drivers_unregister" },
	{ 0x56499a66, "genphy_c45_ethtool_get_eee" },
	{ 0xa6b14eb8, "phy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xd32feb42, "phy_modify_changed" },
	{ 0xb6625454, "genphy_check_and_restart_aneg" },
	{ 0xcd5b4fe8, "phy_sfp_probe" },
	{ 0xa01d348, "genphy_read_lpa" },
	{ 0xd602920c, "phy_resolve_aneg_pause" },
	{ 0x5b2c88b9, "genphy_update_link" },
	{ 0x20c550cb, "genphy_read_status_fixed" },
	{ 0x7b709619, "genphy_resume" },
	{ 0xedb9c428, "genphy_suspend" },
	{ 0x7eeed6be, "__genphy_config_aneg" },
	{ 0x55dcb96e, "genphy_setup_forced" },
	{ 0xbfb6ed5b, "phy_modify_paged_changed" },
	{ 0xebfe3c23, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7a6f6213, "ethnl_cable_test_amplitude" },
	{ 0xbf7e4cd1, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe99ee7f5, "phy_drivers_register" },
	{ 0xf2f1f371, "phy_read_paged" },
	{ 0x967f9f9f, "phy_modify_paged" },
	{ 0x30d85208, "__mdiobus_read" },
	{ 0xee1de1a7, "phy_select_page" },
	{ 0xd832d744, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1a42b65f, "phy_restore_page" },
	{ 0x375914ab, "phy_write_paged" },
	{ 0xb201f35f, "mdiobus_write" },
	{ 0xfb54d2ff, "mdiobus_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001000????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011011011????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "CFD004306DE475049F86F44");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
