#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x7f8808f6, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xa3b5b052, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x3b326a44, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xb9c0495c, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb69d8f13, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xa2f538c1, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xa4df273f, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xb52d7785, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x6bf97777, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xfda7e574, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xfe48eb0c, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xaa61b720, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xb6a7cc2e, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x896b6126, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xc1febc40, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x49771db6, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xd8358cdb, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x64d3d198, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x5a2fae37, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xfbd60a17, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x30e072d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb201f35f, "mdiobus_write" },
	{ 0xfb54d2ff, "mdiobus_read" },
	{ 0x57e69e49, "phy_write_mmd" },
	{ 0xd2087164, "phy_modify" },
	{ 0x6d4470d5, "phy_trigger_machine" },
	{ 0x7a992669, "phy_error" },
	{ 0xd32feb42, "phy_modify_changed" },
	{ 0x5b2c88b9, "genphy_update_link" },
	{ 0xa01d348, "genphy_read_lpa" },
	{ 0xd602920c, "phy_resolve_aneg_pause" },
	{ 0x9481ec9, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xceeda3c, "phy_read_mmd" },
	{ 0x8fc84763, "ethnl_cable_test_result" },
	{ 0xe3cc5a4b, "ethnl_cable_test_fault_length" },
	{ 0x16ae769e, "phy_modify_mmd" },
	{ 0x3fad911a, "genphy_soft_reset" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
