#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x164f2b58, "usbnet_update_max_qlen" },
	{ 0x779a45d7, "usbnet_suspend" },
	{ 0xac1dff9, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0xdffd7274, "mii_nway_restart" },
	{ 0xbf0b4352, "eth_platform_get_mac_address" },
	{ 0x88ef048d, "usbnet_resume" },
	{ 0xf0482084, "usbnet_get_endpoints" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xc98a566f, "netif_set_tso_max_size" },
	{ 0x803c774d, "usbnet_probe" },
	{ 0xb710ea23, "usbnet_open" },
	{ 0x58bf7c74, "usbnet_stop" },
	{ 0x97f077fb, "usbnet_start_xmit" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0x293b5a67, "usbnet_tx_timeout" },
	{ 0x8085c8b2, "dev_get_tstats64" },
	{ 0x83d50aae, "usbnet_get_msglevel" },
	{ 0xa853a4e1, "usbnet_set_msglevel" },
	{ 0xf4ae7953, "usbnet_nway_reset" },
	{ 0xaf00651e, "ethtool_op_get_link" },
	{ 0x8d78a627, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb16abd6e, "pskb_expand_head" },
	{ 0xdffa23e2, "skb_push" },
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x7704d6e, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54e4681, "usbnet_read_cmd" },
	{ 0xbc957ec5, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb29f108, "mii_ethtool_set_link_ksettings" },
	{ 0x116feaf8, "mii_ethtool_get_link_ksettings" },
	{ 0x140763a1, "generic_mii_ioctl" },
	{ 0xf8f9524d, "usb_register_driver" },
	{ 0xd1d90861, "usbnet_disconnect" },
	{ 0xc20144fe, "usb_deregister" },
	{ 0xca3a38bc, "usbnet_link_change" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0xc639ea3a, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0xee706f15, "skb_put" },
	{ 0x81c7d8ec, "usbnet_skb_return" },
	{ 0xfe34b224, "skb_pull" },
	{ 0xbe84717b, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc34d557d, "usbnet_write_cmd" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0x59208fdb, "netdev_err" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
