#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x6d587c72, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x428077bc, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xfed390c7, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xdc507582, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x7f38e479, "lock_sock_nested" },
	{ 0xaf00651e, "ethtool_op_get_link" },
	{ 0x5aadb560, "nexthop_find_by_id" },
	{ 0x9b8a3a2b, "arp_create" },
	{ 0xcbd96865, "__ethtool_get_link_ksettings" },
	{ 0xc83d25a7, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x4300061, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xf2ade069, "netdev_adjacent_change_abort" },
	{ 0x8529635e, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x39779ee3, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed44c0ad, "__iptunnel_pull_header" },
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf82cef41, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x7f175285, "setup_udp_tunnel_sock" },
	{ 0xf95b27a9, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7163ed70, "skb_scrub_packet" },
	{ 0xf3dad4fd, "nexthop_select_path" },
	{ 0x526fbbc2, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x22210fe9, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x71653046, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0x6a753a34, "udp_tun_rx_dst" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x152ede11, "rtnl_notify" },
	{ 0xf6defcb3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9e078589, "__netif_rx" },
	{ 0xc6f24b7e, "skb_clone" },
	{ 0xf04b25c8, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xdbbcd59d, "dst_release" },
	{ 0x33538cf1, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xd0335191, "udp_tunnel_notify_del_rx_port" },
	{ 0x7dac1606, "register_nexthop_notifier" },
	{ 0xee585dac, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb510424d, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6979a666, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa3218ccc, "netdev_core_stats_inc" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0x1edcc3d8, "skb_dump" },
	{ 0xad96b9d5, "neigh_lookup" },
	{ 0x15d4c761, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe75b23e2, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x93921cd, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9f285adc, "skb_copy_bits" },
	{ 0xde3fc66b, "__nlmsg_put" },
	{ 0x88843f44, "netdev_adjacent_change_commit" },
	{ 0x8452368d, "eth_mac_addr" },
	{ 0xee706f15, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1803325, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88476dbb, "ip6_dst_hoplimit" },
	{ 0x2a50d22d, "param_ops_ushort" },
	{ 0x21706b77, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xfbf0e0e5, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37aaba3b, "udp_tunnel6_xmit_skb" },
	{ 0x44b5e724, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7757d4e3, "__unregister_nexthop_notifier" },
	{ 0xa008e5d9, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0xc224da57, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6b199e8b, "rtnl_create_link" },
	{ 0xc664defd, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x815bb7bf, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x61134374, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1d02f40, "udp_tunnel_drop_rx_port" },
	{ 0xab3c8277, "netdev_upper_dev_link" },
	{ 0xb16abd6e, "pskb_expand_head" },
	{ 0xdc0a4f3, "register_pernet_subsys" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0x5d576c48, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xbe600c42, "__alloc_skb" },
	{ 0x37f0fedc, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbdff4052, "eth_gro_complete" },
	{ 0xed204cb7, "rtnl_set_sk_err" },
	{ 0x6976e0de, "eth_gro_receive" },
	{ 0x3ad9073c, "rtnl_configure_link" },
	{ 0xa2ed2fd0, "skb_tunnel_check_pmtu" },
	{ 0x8bb4a62a, "udp_tunnel_dst_lookup" },
	{ 0x5f68a579, "rtnl_unicast" },
	{ 0xbd84bc1e, "peernet2id" },
	{ 0x97448ac6, "__skb_get_hash_net" },
	{ 0x13778183, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xc269692a, "__dev_get_by_index" },
	{ 0x624dd8cd, "rtnl_link_unregister" },
	{ 0x7d3ccee3, "ipv6_stub" },
	{ 0xfe34b224, "skb_pull" },
	{ 0xf6f993ed, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5c5cbf6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5df11117, "dev_get_by_index_rcu" },
	{ 0xff065b6, "gro_cells_receive" },
	{ 0xdffa23e2, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xa22dd022, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x5a35195c, "__rtnl_register_many" },
	{ 0x6999a10c, "free_netdev" },
	{ 0xb494d740, "ip_mc_join_group" },
	{ 0x67e6224d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "053230F864BE01B62D8452B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
