#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0xb2100274, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x6a93a47e, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x51772525, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x95ea707d, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x43e838c7, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xcc7e69f6, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xbaf59468, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x11d84d01, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x6ee1ab35, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x3d290c75, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x95ce1947, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xf3b19c1d, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xbef4fbad, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xf8d077ed, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x5bfe19da, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xb5558751, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x9f8a4dcd, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xd01992f2, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x84053537, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x52ae145b, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xa1e38a9c, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x36d41207, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x976572d0, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xefdeb506, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x14253d9b, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x724eaa1d, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x698e3d9a, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xf0eda402, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xfb44d05a, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x33a023b7, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x5c67c03c, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xb81bafb8, "");
SYMBOL_CRC(wlcore_tx_complete, 0xcc866cbe, "");
SYMBOL_CRC(wl1271_tx_flush, 0xa4c09558, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xc08cd855, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x870aceba, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x2ba58006, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x09151107, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x59e3e10b, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x41b93792, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x11ac16a1, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xa094a34c, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x37144580, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x53d428d8, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xec3a7619, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xa2f583f7, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x90616258, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6ca8c17c, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf3693988, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xda90e641, "device_create_file" },
	{ 0x2f23ff76, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2b52d638, "ieee80211_queue_delayed_work" },
	{ 0xda8f0b53, "ieee80211_proberesp_get" },
	{ 0x9edc605d, "device_wakeup_enable" },
	{ 0x9364edba, "request_firmware_nowait" },
	{ 0x5401519a, "simple_open" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4beea11a, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9f3cd4fa, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xb6cff648, "debugfs_remove" },
	{ 0x488fe3fa, "no_seek_end_llseek" },
	{ 0x680cdc99, "ieee80211_wake_queues" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xe7056890, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4c39d343, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xaed70583, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xc5ea062e, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa1d9caf4, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x6f8118c3, "ieee80211_ready_on_channel" },
	{ 0x655f7cc7, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd2f8c0f, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x526fbbc2, "pv_ops" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x6518406f, "ieee80211_sched_scan_results" },
	{ 0x9f82640d, "__pm_runtime_resume" },
	{ 0xf65e8b44, "ieee80211_scan_completed" },
	{ 0xcb4132cf, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x8bf14e8b, "dev_pm_clear_wake_irq" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfa4de49d, "pm_runtime_force_resume" },
	{ 0x43a23992, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd256bfb5, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0x619b2fa8, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x1ac185fd, "ieee80211_queue_work" },
	{ 0x5f0a9497, "__pm_runtime_use_autosuspend" },
	{ 0x81e12b6f, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x5040291e, "__pm_runtime_disable" },
	{ 0x4463fc04, "debugfs_create_dir" },
	{ 0x847c8652, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x92a7b365, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc88b222a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x18b820ac, "device_remove_bin_file" },
	{ 0xa64a5442, "device_remove_file" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0xc4df8deb, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbd811f87, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9d8a0340, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5cc1f580, "ieee80211_iterate_interfaces" },
	{ 0x8980cd44, "ieee80211_sched_scan_stopped" },
	{ 0x3e2654b6, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xddf274df, "ieee80211_chswitch_done" },
	{ 0xee706f15, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x21706b77, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x41d94395, "skb_dequeue" },
	{ 0x7f20d65e, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x8b8cd164, "ieee80211_free_hw" },
	{ 0xe99d36da, "ieee80211_probereq_get" },
	{ 0xe505f7c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe53f9f1d, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x838dffeb, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x8e431a64, "ieee80211_pspoll_get" },
	{ 0x3003ab9a, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1a7e225b, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf7a4e6fc, "ieee80211_get_hdrlen_from_skb" },
	{ 0xca960970, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8ec4ad30, "ieee80211_stop_rx_ba_session" },
	{ 0xb0c54cff, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfb126f1f, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xefeca222, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xb280b23, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xbbe68488, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xd49d6b4b, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "9ABC1192ED56FDAFC44DB0F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
