#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x7001fa61, "");
SYMBOL_CRC(ndlc_close, 0x237e7d84, "");
SYMBOL_CRC(ndlc_send, 0xdf7fc531, "");
SYMBOL_CRC(ndlc_recv, 0xede87cfd, "");
SYMBOL_CRC(ndlc_probe, 0x57f7fb7b, "");
SYMBOL_CRC(ndlc_remove, 0xb8fac38a, "");
SYMBOL_CRC(st_nci_probe, 0x3722fc9f, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x458ccc2e, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x1c7209ee, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x5abe9bfe, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x7599a531, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xd5f34cec, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x1a3ce247, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x614443d7, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x1ed9dab3, "");
SYMBOL_CRC(st_nci_se_init, 0x7e33c097, "");
SYMBOL_CRC(st_nci_se_deinit, 0x0567bdfd, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x58c5400f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ca8c17c, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd48205e1, "nfc_se_transaction" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xfe34b224, "skb_pull" },
	{ 0xe902a377, "nci_hci_connect_gate" },
	{ 0xf5c5cbf6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x6c928cda, "nci_prop_cmd" },
	{ 0xb742ebb3, "nci_core_conn_create" },
	{ 0x7ab13d47, "nci_nfcc_loopback" },
	{ 0x46c72559, "nci_unregister_device" },
	{ 0xed6e4a41, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xead0cd0e, "nci_hci_send_event" },
	{ 0x73fd33c, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x33f60829, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x80a626a8, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xd836c61d, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe7b98e91, "nci_recv_frame" },
	{ 0xf2c93021, "nci_hci_dev_session_init" },
	{ 0x65eeb35f, "nci_hci_set_param" },
	{ 0xbd9c3842, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc4df8deb, "skb_queue_head" },
	{ 0xda0c5e39, "nci_free_device" },
	{ 0x65b80ccc, "nci_allocate_device" },
	{ 0xd86c6c2e, "nci_register_device" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0xeb1a719f, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d07c6ae, "nfc_add_se" },
	{ 0x41d94395, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c1cb0e2, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x158d21e4, "skb_queue_purge_reason" },
	{ 0x9acb1c16, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1a8c6beb, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
