#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xc4a6a65c, "");
SYMBOL_CRC(sas_remove_host, 0x8aff694c, "");
SYMBOL_CRC(sas_get_address, 0x1914cfee, "");
SYMBOL_CRC(sas_tlr_supported, 0xd1c9a2ec, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x40255b31, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x56934507, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x157fdc9f, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xde838092, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x9a930555, "");
SYMBOL_CRC(sas_phy_add, 0xc99122c7, "");
SYMBOL_CRC(sas_phy_free, 0x097f4f0d, "");
SYMBOL_CRC(sas_phy_delete, 0x2d01b151, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0a667c50, "");
SYMBOL_CRC(sas_port_alloc, 0xd2b7a191, "");
SYMBOL_CRC(sas_port_alloc_num, 0x832032df, "");
SYMBOL_CRC(sas_port_add, 0x1d62f603, "");
SYMBOL_CRC(sas_port_free, 0x6b87bbf7, "");
SYMBOL_CRC(sas_port_delete, 0x1675da6d, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd734f776, "");
SYMBOL_CRC(sas_port_get_phy, 0xc76264ab, "");
SYMBOL_CRC(sas_port_add_phy, 0xfba343ea, "");
SYMBOL_CRC(sas_port_delete_phy, 0xe7236740, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xef11b3ba, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x5593ddf0, "");
SYMBOL_CRC(sas_end_device_alloc, 0x169d4060, "");
SYMBOL_CRC(sas_expander_alloc, 0xe28501b4, "");
SYMBOL_CRC(sas_rphy_add, 0x303b1060, "");
SYMBOL_CRC(sas_rphy_free, 0x9732f18e, "");
SYMBOL_CRC(sas_rphy_delete, 0x2ae6d09b, "");
SYMBOL_CRC(sas_rphy_unlink, 0xed228450, "");
SYMBOL_CRC(sas_rphy_remove, 0xb2ba09da, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xf13b1354, "");
SYMBOL_CRC(sas_attach_transport, 0xc0212cdc, "");
SYMBOL_CRC(sas_release_transport, 0x0b184e3e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x25a57976, "attribute_container_register" },
	{ 0x19665fc7, "scsi_get_vpd_page" },
	{ 0xc47a9880, "scsi_mode_sense" },
	{ 0xa25fcbd3, "attribute_container_unregister" },
	{ 0x403e0ec5, "scsi_remove_host" },
	{ 0x59c1019a, "bsg_remove_queue" },
	{ 0xe1a8653f, "scsi_remove_target" },
	{ 0x9932bd91, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0xce93f328, "bsg_job_done" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x86b5cde3, "dma_opt_mapping_size" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0x25c35704, "dev_set_name" },
	{ 0xf5ae5747, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50b7482f, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd891815c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cc83692, "device_add" },
	{ 0x7b42b410, "transport_add_device" },
	{ 0x551c9f77, "transport_configure_device" },
	{ 0xa80bbc04, "device_del" },
	{ 0x5b92d36f, "transport_destroy_device" },
	{ 0x72e2614c, "transport_remove_device" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe059fc0b, "get_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x450ffe7c, "sysfs_remove_link" },
	{ 0x2adb61d6, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x44c41b4d, "_dev_printk" },
	{ 0x25fdc824, "scsi_scan_target" },
	{ 0x6bafb962, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x5b2432f4, "transport_class_register" },
	{ 0x3d909861, "transport_class_unregister" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
