#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xf6ece33b, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xed98848a, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x582bd949, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xa9871dde, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xc9025478, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x17d87b9b, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x3bcba0db, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xda960896, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x427b1188, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0xd45d96f5, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x074e7e5f, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x48fd5575, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x421a057d, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0xad3f53dc, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x9c3778bf, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x485063a3, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xb1b9c5b1, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x5c2213f7, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x93c570aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x86904dfb, "bpf_trace_run5" },
	{ 0x24a63117, "bpf_trace_run4" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0x571de11b, "bpf_trace_run6" },
	{ 0x25c35704, "dev_set_name" },
	{ 0x2cc83692, "device_add" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xa09e2c32, "device_unregister" },
	{ 0x6573f300, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x955b5445, "__pm_runtime_set_status" },
	{ 0xd49d6b4b, "pm_runtime_enable" },
	{ 0x5040291e, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0x3035f74e, "device_match_of_node" },
	{ 0x2aa4729a, "bus_find_device" },
	{ 0x794c2044, "driver_register" },
	{ 0x2425288a, "bus_unregister" },
	{ 0xccfb1687, "bus_register" },
	{ 0x50b7482f, "device_for_each_child" },
	{ 0xa80bbc04, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xd891815c, "put_device" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9f82640d, "__pm_runtime_resume" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
