#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x38047948, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xade1ecce, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x3e42f470, "");
SYMBOL_CRC(usb_serial_resume, 0x45b8833a, "");
SYMBOL_CRC(usb_serial_register_drivers, 0xf7230084, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xb4cd97c7, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x36f18458, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xeac13a44, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x18b70531, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xe8bbe296, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xfd92094f, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x8f7d4ebd, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x19a04d65, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x20ae8a88, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x51cbcfb1, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xd7cf1fa8, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xe23a0111, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xc673e816, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xa45bc2ff, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xae961a46, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xe554ba0b, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x6c4acfc8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e2c9187, "usb_get_intf" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6de3eddc, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x255844c2, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd891815c, "put_device" },
	{ 0xb75fd1a5, "usb_get_dev" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xc300e389, "usb_submit_urb" },
	{ 0x7f052f5, "_dev_info" },
	{ 0x9d76f329, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc13002a4, "module_put" },
	{ 0x81707212, "tty_port_tty_wakeup" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xc9ea5ef, "usb_match_id" },
	{ 0x14eab88, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2425288a, "bus_unregister" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x2cc83692, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x98c94f46, "tty_ldisc_ref" },
	{ 0x74c2012d, "tty_vhangup" },
	{ 0xdcc09fda, "__tty_insert_flip_string_flags" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x23f6324b, "tty_port_destroy" },
	{ 0xd9864f44, "tty_port_init" },
	{ 0xc1526e54, "usb_driver_claim_interface" },
	{ 0x8aeb513d, "seq_putc" },
	{ 0x85b1e188, "usb_poison_urb" },
	{ 0xc4628d8b, "usb_unpoison_urb" },
	{ 0xec2620eb, "driver_unregister" },
	{ 0x75ababc3, "tty_port_register_device" },
	{ 0x84b33fd4, "tty_ldisc_deref" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc20144fe, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa80bbc04, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x7386a7e8, "tty_port_close" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xec93b9bc, "usb_autopm_get_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xaba34d35, "tty_register_driver" },
	{ 0x4b54aea, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x7ab7cf47, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1265fcee, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4da836e, "seq_printf" },
	{ 0xc4ad86d2, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x794c2044, "driver_register" },
	{ 0x37a7213f, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xccfb1687, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6778cc25, "tty_port_tty_get" },
	{ 0xb6efa698, "usb_put_intf" },
	{ 0xd8cecd2b, "usb_alloc_urb" },
	{ 0x5e342bd, "usb_autopm_put_interface" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0x420c9e8, "usb_free_urb" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25c35704, "dev_set_name" },
	{ 0x2a50d22d, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8239dff6, "tty_flip_buffer_push" },
	{ 0xa110e99a, "driver_attach" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf09ae3f5, "tty_kref_put" },
	{ 0xf8f9524d, "usb_register_driver" },
	{ 0x51f53329, "usb_match_one_id" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xe27f54e4, "__tty_alloc_driver" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x491168cd, "tty_standard_install" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x5757a4f1, "usb_show_dynids" },
	{ 0xef5bf111, "tty_hangup" },
	{ 0xbe747b16, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "FFCDBD8725DF63D0BD749A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
