#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xed02b7d2, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xc0f8bf7c, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xac137028, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x076ec187, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x231994b6, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x6723c684, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xdbb823ff, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x1cf3d249, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x4021baef, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x7d4e3dc6, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xa6bd2af9, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x8fc07d40, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x773d426d, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x8fa5d78a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x4b83fe57, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x67b3422c, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x0e648fd6, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x3d002c17, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x95150f4e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x4c77081a, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xca3b0553, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xaf9f63ec, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xdc583d62, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xa84179e0, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x6fcd6a5e, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x568320a9, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x06f4ba6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa826fd1d, "pci_probe_reset_slot" },
	{ 0x9364e95a, "pci_set_power_state" },
	{ 0x7a4bbb89, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0d9162c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xc62b0a03, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x939af216, "pci_user_write_config_word" },
	{ 0x49f843bc, "bus_register_notifier" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xf8ea4afa, "vfio_file_is_group" },
	{ 0x1d2ec483, "pci_msix_can_alloc_dyn" },
	{ 0xce10acab, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x353d255b, "pci_clear_master" },
	{ 0x5d4065b5, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x90a7119e, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x426152f1, "pci_write_vpd" },
	{ 0x217d596b, "vfio_virqfd_enable" },
	{ 0xc2c64653, "vga_client_register" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd2119158, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x995001df, "aperture_remove_conflicting_pci_devices" },
	{ 0x77ed70c6, "vfio_unregister_group_dev" },
	{ 0x9f1fe0bc, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9a8fd275, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x28a3e995, "pci_iounmap" },
	{ 0x51018e57, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x2ebe8c28, "pcie_get_mps" },
	{ 0x47576d87, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xeddd417, "down_read" },
	{ 0x3d5c84a4, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x33b91350, "pci_dev_driver" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x794b2173, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xd0295548, "_dev_notice" },
	{ 0x9a04ad1a, "pm_runtime_forbid" },
	{ 0xc947490a, "pm_runtime_allow" },
	{ 0x5fd89225, "pci_reset_bus" },
	{ 0x9f82640d, "__pm_runtime_resume" },
	{ 0x8134d792, "vfio_register_group_dev" },
	{ 0x15ad7cc8, "vfio_assign_device_set" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x231e75c6, "pci_user_read_config_byte" },
	{ 0x20fe4b7c, "pci_try_reset_function" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xd47e6e3f, "pci_get_class" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x59549350, "pci_user_write_config_dword" },
	{ 0x17ff2f81, "pcie_capability_read_dword" },
	{ 0xd1d0da8c, "pci_load_and_free_saved_state" },
	{ 0xbc0e709c, "pci_disable_sriov" },
	{ 0x49959807, "vfio_device_set_open_count" },
	{ 0x4205e0ff, "pci_disable_device" },
	{ 0x285adf54, "pci_match_id" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x5170ff89, "pci_check_and_unmask_intx" },
	{ 0x93fb6c24, "pcie_set_readrq" },
	{ 0x85561f4b, "pci_walk_bus" },
	{ 0xccdddd8b, "pci_msix_alloc_irq_at" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x1b1e45cc, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xdd65214b, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x569b6a72, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x9a3dca83, "vga_set_legacy_decoding" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x601308d2, "pci_dev_unlock" },
	{ 0x1b2b4df5, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x350ceff, "pci_free_irq_vectors" },
	{ 0xc3572f5d, "pci_enable_sriov" },
	{ 0xbb53856b, "up_read" },
	{ 0xc88b222a, "__pm_runtime_idle" },
	{ 0x87388707, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x118bbecf, "pci_bus_type" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x38ec3de4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x2d35bdc2, "vmf_insert_pfn" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x81dd30e1, "pci_read_vpd" },
	{ 0xf87b4303, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cd3f625, "pci_request_selected_regions" },
	{ 0x7df031f0, "pci_release_selected_regions" },
	{ 0xad330ef0, "pci_user_write_config_byte" },
	{ 0xd0bb580d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x21d6e971, "pci_bus_max_busnr" },
	{ 0x42099145, "pci_check_and_mask_intx" },
	{ 0x6f4040e9, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb10c7b6b, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x1c53f77d, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x11d2a246, "pci_dev_put" },
	{ 0xce28cdd6, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xef4950fc, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x217207a5, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x5689c727, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x55e592b9, "unmap_mapping_range" },
	{ 0x91bc8a78, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d27e4d8, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x317900c2, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "DEF36634042A04835349FAE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
