#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1f4e7f26, "__folio_put" },
	{ 0x68370e58, "__put_devmap_managed_folio_refs" },
	{ 0x46800ec6, "gnttab_page_cache_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a921311, "strncmp" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x95333115, "core_tpg_register" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0x59de07f1, "target_setup_session" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3c8e9657, "gnttab_map_refs" },
	{ 0x9f6cbf20, "gnttab_page_cache_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x38dd1945, "gnttab_page_cache_shrink" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfdccfa6e, "gnttab_page_cache_init" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x6c6b8eb7, "xenbus_switch_state" },
	{ 0xe842e12f, "xenbus_dev_error" },
	{ 0xd3c008a6, "xenbus_dev_fatal" },
	{ 0x9f984513, "strrchr" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xce0a4020, "xenbus_directory" },
	{ 0xa09e2c32, "device_unregister" },
	{ 0x1d6a0e94, "xenbus_dev_is_online" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0xb32870ec, "xenbus_map_ring_valloc" },
	{ 0x7a61dc14, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8d2ba9a3, "target_put_sess_cmd" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf55752b5, "target_submit_tmr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc9607fa3, "target_init_cmd" },
	{ 0x2294d1a4, "target_submit_prep" },
	{ 0x4eba6ba4, "target_submit" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb7a0def3, "__xenbus_register_backend" },
	{ 0x210dddd1, "target_register_template" },
	{ 0x73eaff7c, "xenbus_unregister_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x3271c118, "target_remove_session" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa60e8717, "core_tpg_deregister" },
	{ 0x65b45cb, "complete" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e580673, "target_execute_cmd" },
	{ 0xba903b6, "sbitmap_queue_clear" },
	{ 0xc2f4b03a, "transport_generic_free_cmd" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x4dd693ca, "xenbus_unmap_ring_vfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9270db5d, "target_unregister_template" },
	{ 0x2c7a79c0, "gnttab_unmap_refs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4b931968, "xen_features" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common");


MODULE_INFO(srcversion, "87D97A8ADA76D3153D216FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
