#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94760ca7, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0x90a7119e, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8bf055ce, "fscache_withdraw_cache" },
	{ 0xb41bbf19, "noop_llseek" },
	{ 0x86904dfb, "bpf_trace_run5" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xad388e44, "lock_rename" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0xa1c4faeb, "vfs_getxattr" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x1bfa2542, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc19098d5, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x93d0483, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa3da36c3, "vfs_iocb_iter_read" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x1f096d75, "misc_register" },
	{ 0xab89a7d9, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x587e89d1, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x96b156db, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xb9cafdf7, "fscache_acquire_cache" },
	{ 0xd7f0e8fd, "security_path_unlink" },
	{ 0x8fc136aa, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2a25c280, "security_inode_create" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0x7bd0c3ef, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe108c929, "fscache_add_cache" },
	{ 0xeb47ae0, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x32c48f0, "path_get" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x24ed5215, "lookup_positive_unlocked" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x3ab52ae1, "fscache_withdraw_cookie" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2643956, "fscache_clearance_waiters" },
	{ 0x379597b, "dput" },
	{ 0xa90f2d01, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xe5b310ab, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf3cfffff, "__SCK__tp_func_fscache_access_volume" },
	{ 0x2e2072f2, "vfs_llseek" },
	{ 0x7808f53e, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4eb815d8, "rcuwait_wake_up" },
	{ 0x6991a296, "vfs_link" },
	{ 0x5b50896f, "prepare_kernel_cred" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x80ff379a, "security_inode_mkdir" },
	{ 0x852cdafe, "security_path_rename" },
	{ 0xed60a686, "set_security_override_from_ctx" },
	{ 0xe928c14d, "netfs_prepare_write_failed" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0x4c58c303, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0x62980f7f, "fscache_wait_for_operation" },
	{ 0x2b6af324, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2c560cc2, "revert_creds" },
	{ 0xd76f77c8, "misc_deregister" },
	{ 0x290bf5db, "vfs_setxattr" },
	{ 0x9fd59515, "fscache_try_get_volume" },
	{ 0x81c2bc23, "notify_change" },
	{ 0x24a63117, "bpf_trace_run4" },
	{ 0x3e2654b6, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x21862e56, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x16e883da, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3fe32b0, "fscache_get_cookie" },
	{ 0x65b45cb, "complete" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7754972d, "iov_iter_advance" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xe060ffc, "abort_creds" },
	{ 0x53d2dc4b, "fscache_io_error" },
	{ 0x618fe01d, "sync_filesystem" },
	{ 0x96302fa2, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x66bfef56, "fscache_cookie_lookup_negative" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd0a6d7a2, "kmem_cache_create" },
	{ 0x2d477d89, "bpf_trace_run8" },
	{ 0x38abcac2, "vfs_unlink" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcef48a8e, "vfs_truncate" },
	{ 0x6c51654f, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4e35d0, "__put_cred" },
	{ 0x7b83adb, "vfs_mkdir" },
	{ 0x241df1a7, "kernel_tmpfile_open" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0xfcd323cb, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x36b4df5b, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb0625d71, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa2882bed, "vfs_iocb_iter_write" },
	{ 0xb51f9dab, "fscache_end_cookie_access" },
	{ 0x4d5a1e57, "fscache_withdraw_volume" },
	{ 0x2a4fcfaa, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a112e16, "fscache_relinquish_cache" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0x361151a2, "mnt_drop_write_file" },
	{ 0x2d6bd9c2, "mntput" },
	{ 0x205efc85, "fscache_put_cookie" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "E334E336AF1C98BD2316F4F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
