#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda5e7143, "dquot_initialize" },
	{ 0x60749e48, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0xc5db0c06, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x357f9437, "block_commit_write" },
	{ 0x968acc10, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x361151a2, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdfd61d6e, "inode_init_once" },
	{ 0x7394c4e0, "file_write_and_wait_range" },
	{ 0x93a8838a, "qtree_write_dquot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x9d6f2546, "mark_page_accessed" },
	{ 0x485aa5d8, "debugfs_attr_read" },
	{ 0x4dd16159, "seq_escape_mem" },
	{ 0xfb9f8eaa, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0xd6e8158d, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fb17073, "__brelse" },
	{ 0x67879cfb, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0xddf048f, "jbd2_journal_init_inode" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6f004ce6, "jbd2_journal_abort" },
	{ 0x3db4ce3e, "generic_file_read_iter" },
	{ 0x9dbe7371, "inode_maybe_inc_iversion" },
	{ 0x85227bb9, "unlock_page" },
	{ 0xf7e4b286, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc7ac5a19, "qtree_release_dquot" },
	{ 0x786771a9, "set_cached_acl" },
	{ 0x8ea5e8ef, "simple_attr_release" },
	{ 0xc4a95f30, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0xe21d1b2b, "dquot_resume" },
	{ 0x86904dfb, "bpf_trace_run5" },
	{ 0x33e5abc0, "setattr_copy" },
	{ 0xc6c35b96, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x96f32ec9, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbdb44eb2, "set_nlink" },
	{ 0x164a7001, "kmem_cache_alloc_lru_noprof" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb6cff648, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xc6a5635c, "security_inode_init_security" },
	{ 0xbdbbb87e, "d_move" },
	{ 0x8aeb513d, "seq_putc" },
	{ 0x8a4a442e, "from_kgid" },
	{ 0xa61ab3dc, "qtree_read_dquot" },
	{ 0x58b0cc03, "__bh_read" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf92ce13, "jbd2_journal_start_commit" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x832623aa, "blkdev_issue_zeroout" },
	{ 0x66907625, "mpage_writepages" },
	{ 0x8915ea63, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x9937f101, "ocfs2_plock" },
	{ 0xb9d0ecfa, "kobject_init_and_add" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc7ef7ee5, "write_inode_now" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0xb96e6166, "jbd2_trans_will_send_data_barrier" },
	{ 0xc17d2674, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x182fb099, "__audit_inode_child" },
	{ 0xa60a3b97, "d_obtain_alias" },
	{ 0x68370e58, "__put_devmap_managed_folio_refs" },
	{ 0xfb47b806, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8e0b4fe9, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2be562c6, "ocfs2_kset" },
	{ 0x29e3b0cd, "block_dirty_folio" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa49bf5be, "dquot_alloc_inode" },
	{ 0x8b13872f, "bpf_trace_run1" },
	{ 0x1847b4d7, "bpf_trace_run9" },
	{ 0x7561ffc2, "jbd2_journal_dirty_metadata" },
	{ 0x3a6592a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd19eea04, "generic_remap_file_range_prep" },
	{ 0x92ce2672, "__insert_inode_hash" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x449a7199, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5c2bbaab, "debugfs_create_u32" },
	{ 0x587e89d1, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xaadeb22f, "register_quota_format" },
	{ 0x99c38729, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9cde35c, "jbd2_journal_wipe" },
	{ 0xe2ea2d51, "d_delete" },
	{ 0xe3f764bd, "jbd2_journal_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xb31686ca, "unregister_quota_format" },
	{ 0xe975208, "kthread_create_on_node" },
	{ 0xf4a34bf, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0x35911be9, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xfd20e0f0, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xff628184, "__dquot_alloc_space" },
	{ 0xf96e5159, "unlock_buffer" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0xa5929c12, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4aa622b9, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x75e910c7, "kobject_del" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0xdb2461f2, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc9dcaf0b, "mount_bdev" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfac73442, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5d25d464, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5413f24e, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x6be5a790, "init_user_ns" },
	{ 0x5e447dc7, "inode_set_ctime_current" },
	{ 0xe8d1e23b, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x1f4e7f26, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4da836e, "seq_printf" },
	{ 0x379597b, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5e0e8622, "__percpu_down_read" },
	{ 0xc636566, "jbd2_journal_force_commit" },
	{ 0x37b4f53e, "__lock_buffer" },
	{ 0x61c85d04, "jbd2_journal_get_undo_access" },
	{ 0x57df6ca2, "qtree_get_next_id" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xfba37f84, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7ea5ced8, "posix_acl_update_mode" },
	{ 0x921dfd65, "truncate_inode_pages_range" },
	{ 0xcb7de3dc, "__folio_lock" },
	{ 0xe6fb6174, "pagecache_get_page" },
	{ 0x36275362, "blkdev_issue_flush" },
	{ 0x9750fd49, "is_bad_inode" },
	{ 0x4eb815d8, "rcuwait_wake_up" },
	{ 0xed2fee4f, "block_is_partially_uptodate" },
	{ 0xcc48ab8, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e1506da, "filemap_splice_read" },
	{ 0x42f6df43, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x41c67c2a, "seq_release_private" },
	{ 0xd59c3a77, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x56bbf9c5, "iget5_locked" },
	{ 0xfed41d4a, "__generic_file_write_iter" },
	{ 0x814408dd, "jbd2_journal_lock_updates" },
	{ 0xc2b9d8e6, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6d01f59a, "bpf_trace_run7" },
	{ 0xf794d47c, "clean_bdev_aliases" },
	{ 0xfbe5ab86, "jbd2_journal_errno" },
	{ 0xb933d4cc, "generic_write_checks" },
	{ 0x8d039e01, "dqget" },
	{ 0xbb9c96d3, "inode_permission" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd36a7641, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x188c9120, "dquot_quotactl_sysfile_ops" },
	{ 0xecc6d624, "filemap_fault" },
	{ 0x4463fc04, "debugfs_create_dir" },
	{ 0xdc85aea2, "__mark_inode_dirty" },
	{ 0x847c8652, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x492256d4, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x10186358, "jbd2_journal_begin_ordered_truncate" },
	{ 0xbb53856b, "up_read" },
	{ 0x2fd059cd, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf6fa8548, "put_pid" },
	{ 0x2a9575d2, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x85c659fc, "jbd2_journal_flush" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x4e6b7f75, "kobject_get" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4c95fbcc, "kset_create_and_add" },
	{ 0x832d0c29, "blkdev_issue_discard" },
	{ 0x8f0a1a25, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9ad9afe2, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x161ee6ce, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xe3466fc8, "inode_init_owner" },
	{ 0x483ebd66, "filemap_fdatawrite" },
	{ 0xe803c8b9, "generic_fillattr" },
	{ 0x4fd0cca5, "setattr_prepare" },
	{ 0xb270e429, "clear_nlink" },
	{ 0x3fd7b328, "jbd2_complete_transaction" },
	{ 0xe1c8c190, "__dquot_transfer" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x3f432fd9, "d_instantiate" },
	{ 0xe7a32840, "simple_attr_open" },
	{ 0x276a1cf8, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf1999dcd, "clear_inode" },
	{ 0x24a63117, "bpf_trace_run4" },
	{ 0x36dd14d7, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xab3e4a4e, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38c31a4e, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b4d5fdb, "dquot_free_inode" },
	{ 0x24a35a84, "folio_unlock" },
	{ 0xc7bce23f, "jbd2_journal_grab_journal_head" },
	{ 0x727a1506, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfd73c87f, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x99288645, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x84b81580, "jbd2_journal_stop" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0x29d8b852, "forget_all_cached_acls" },
	{ 0xfb77f565, "init_special_inode" },
	{ 0x48432007, "unregister_filesystem" },
	{ 0x69f1ba0e, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x571de11b, "bpf_trace_run6" },
	{ 0x1d6280e8, "jbd2_journal_restart" },
	{ 0x55416131, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x20f4e3b3, "generic_error_remove_folio" },
	{ 0x41fbe530, "__find_get_block" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x8816a687, "filemap_fdatawrite_range" },
	{ 0x95427c5f, "jbd2_journal_set_triggers" },
	{ 0x52a6b988, "__block_write_begin" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x27703f27, "inode_query_iversion" },
	{ 0x565b7410, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xad8f3391, "nop_posix_acl_access" },
	{ 0xf69b699f, "jbd2_journal_load" },
	{ 0xc72cc48, "nop_posix_acl_default" },
	{ 0x54733a0d, "d_make_root" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5602c7af, "jbd2_journal_set_features" },
	{ 0x759f8612, "sb_set_blocksize" },
	{ 0x618fe01d, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x9864d8f4, "end_buffer_read_sync" },
	{ 0x578000fe, "fsnotify" },
	{ 0xc991d157, "d_splice_alias" },
	{ 0x4c27507e, "jbd2_journal_unlock_updates" },
	{ 0xfa214a70, "current_time" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x22683b4d, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0x55e592b9, "unmap_mapping_range" },
	{ 0xec4e6189, "ihold" },
	{ 0x6d983740, "page_get_link" },
	{ 0x6c9f2a5e, "inode_dio_wait" },
	{ 0x753163e2, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fb9fb7b, "iput" },
	{ 0xf69c09, "kset_unregister" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x7c907c0c, "seq_lseek" },
	{ 0x78c9fb1d, "wrap_directory_iterator" },
	{ 0xa8d0e756, "jbd2_journal_clear_features" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0xc067b9dd, "iter_file_splice_write" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x71ca1dd0, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc7b090b2, "register_filesystem" },
	{ 0x5644e444, "dq_data_lock" },
	{ 0xd0a6d7a2, "kmem_cache_create" },
	{ 0x2d477d89, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x75c3ad32, "dquot_drop" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6c51654f, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x39a4e350, "submit_bh" },
	{ 0xdc75530d, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa75a2c8, "shrink_dcache_parent" },
	{ 0xd20c2ec, "user_path_at" },
	{ 0xdd3f6128, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x793fb0e0, "wake_up_process" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63dbff9a, "dquot_scan_active" },
	{ 0x278747f8, "qtree_entry_unused" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf71e936d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa822682b, "inode_newsize_ok" },
	{ 0x81798bc8, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x2699f520, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x36b4df5b, "mnt_want_write_file" },
	{ 0x152142bd, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xde3af61, "block_invalidate_folio" },
	{ 0xcb8652d5, "make_kprojid" },
	{ 0x66db52bd, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x17c9322f, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xea1cc55, "make_kuid" },
	{ 0x57842858, "try_to_free_buffers" },
	{ 0x370dc002, "create_empty_buffers" },
	{ 0xd0e17eb2, "truncate_inode_pages_final" },
	{ 0x2a41aba8, "sync_blockdev" },
	{ 0xcddc67a9, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0xda871ea6, "sync_mapping_buffers" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,ocfs2_nodemanager,quota_tree,jbd2");


MODULE_INFO(srcversion, "5D4A791D5CFA82B9C1113A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
