#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x60ebf822, "");
SYMBOL_CRC(bt_sock_register, 0xd84c608b, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x6d0e0e48, "");
SYMBOL_CRC(bt_sock_link, 0x435ebd26, "");
SYMBOL_CRC(bt_sock_unlink, 0x5933ff35, "");
SYMBOL_CRC(bt_sock_linked, 0x384ce4d9, "");
SYMBOL_CRC(bt_accept_enqueue, 0x951b384a, "");
SYMBOL_CRC(bt_accept_unlink, 0x81f1dc18, "");
SYMBOL_CRC(bt_accept_dequeue, 0xf5a92cd4, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x097538eb, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x6cc8c8b3, "");
SYMBOL_CRC(bt_sock_poll, 0x24a61570, "");
SYMBOL_CRC(bt_sock_ioctl, 0x27c48d62, "");
SYMBOL_CRC(bt_sock_wait_state, 0x0bc7f0f5, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x1a73729c, "");
SYMBOL_CRC(bt_procfs_init, 0x31577990, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x56168b81, "");
SYMBOL_CRC(bt_debugfs, 0xec186a1d, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x51237e50, "");
SYMBOL_CRC(hci_free_dev, 0x085784af, "");
SYMBOL_CRC(hci_register_dev, 0x61018535, "");
SYMBOL_CRC(hci_unregister_dev, 0x53544d1b, "");
SYMBOL_CRC(hci_release_dev, 0x6a61e68d, "");
SYMBOL_CRC(hci_suspend_dev, 0xfebbc854, "");
SYMBOL_CRC(hci_resume_dev, 0xe2397d19, "");
SYMBOL_CRC(hci_reset_dev, 0x8c33ef1e, "");
SYMBOL_CRC(hci_recv_frame, 0x7d53d2f8, "");
SYMBOL_CRC(hci_recv_diag, 0xff286dd3, "");
SYMBOL_CRC(hci_set_hw_info, 0xa609ee63, "");
SYMBOL_CRC(hci_set_fw_info, 0xe0c84a99, "");
SYMBOL_CRC(hci_register_cb, 0xc4a44fec, "");
SYMBOL_CRC(hci_unregister_cb, 0x9f07d677, "");
SYMBOL_CRC(__hci_cmd_send, 0xbf24403b, "");
SYMBOL_CRC(hci_get_route, 0xa4d631db, "");
SYMBOL_CRC(hci_conn_security, 0xe3676061, "");
SYMBOL_CRC(hci_conn_check_secure, 0x5e46239b, "");
SYMBOL_CRC(hci_conn_switch_role, 0x87dab81a, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x2839cbda, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x50617f04, "");
SYMBOL_CRC(l2cap_add_psm, 0xdf0d7ed0, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x3e8f0198, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x1115f302, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x684e73e6, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x04cd0d16, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x9f22fb18, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xb01072da, "");
SYMBOL_CRC(l2cap_register_user, 0xb1a73b50, "");
SYMBOL_CRC(l2cap_unregister_user, 0xd8126f8d, "");
SYMBOL_CRC(l2cap_conn_get, 0x334d0cfd, "");
SYMBOL_CRC(l2cap_conn_put, 0x057c59ed, "");
SYMBOL_CRC(l2cap_chan_send, 0x7d2cd0ea, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xf064ff14, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x6986a7b6, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xe2f9aecf, "");
SYMBOL_CRC(__hci_cmd_sync, 0xa9947ccd, "");
SYMBOL_CRC(hci_cmd_sync, 0xe1b5fcd5, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xdd39e664, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x18371452, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x2be75040, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x06358ca8, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x1204f0ec, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xb3294606, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x04f57aa3, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x6e80c906, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x58788f70, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xce5b5357, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xa02d0ef3, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xd7b4d6b8, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xb8c17c40, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x12ead1b5, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x0879ccc7, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xdaa7d49a, "");
SYMBOL_CRC(hci_devcd_init, 0x53810458, "");
SYMBOL_CRC(hci_devcd_append, 0x4879cacc, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x53768e72, "");
SYMBOL_CRC(hci_devcd_complete, 0x8036e510, "");
SYMBOL_CRC(hci_devcd_abort, 0x1ae1c1a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xee706f15, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25c35704, "dev_set_name" },
	{ 0xb2587ff1, "scm_detach_fds" },
	{ 0x82cbbdc9, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xa09e2c32, "device_unregister" },
	{ 0x41d94395, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xb7d3c22c, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7c907c0c, "seq_lseek" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x1831435d, "sock_no_connect" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xada88269, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3b38be9a, "led_trigger_unregister_simple" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x11dc1a15, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe059fc0b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x26bd7c51, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4e35d0, "__put_cred" },
	{ 0xa3534810, "put_cmsg" },
	{ 0x158d21e4, "skb_queue_purge_reason" },
	{ 0xc02630cf, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x7534c436, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x84839fca, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8bff84ad, "sock_register" },
	{ 0x9003f13e, "datagram_poll" },
	{ 0x38711167, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xd891815c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe600c42, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa6e5ce31, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6ca8c17c, "skb_queue_tail" },
	{ 0xc13002a4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x2367b3ed, "__sock_recv_timestamp" },
	{ 0x77a444dd, "sock_no_shutdown" },
	{ 0x574a3689, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb302fd54, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x6cfc17f0, "init_net" },
	{ 0xf1bab627, "crypto_shash_setkey" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2cc83692, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9fd29a0, "init_uts_ns" },
	{ 0xf5c5cbf6, "sk_skb_reason_drop" },
	{ 0x27673096, "sk_free" },
	{ 0x775ef884, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xb8f74b2f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc52c15f0, "sock_no_listen" },
	{ 0xb6cff648, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x8aeb513d, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdaf903f, "iov_iter_kvec" },
	{ 0x6573f300, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x2118852a, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7f38e479, "lock_sock_nested" },
	{ 0x876fae6b, "device_find_child" },
	{ 0x72dafa47, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x21fa6c29, "skb_copy_datagram_iter" },
	{ 0x667bbd95, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x38026372, "sk_alloc" },
	{ 0xa80bbc04, "device_del" },
	{ 0xc541b6e1, "__sock_queue_rcv_skb" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xb8cc7e79, "__sock_recv_wifi_status" },
	{ 0x3a6592a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x59f03233, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa5030883, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbdf7cd25, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x1fac3f2d, "security_sk_clone" },
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0x308c862e, "__scm_destroy" },
	{ 0xb54ce9c0, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9b5eb104, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59d2a1b8, "devm_kasprintf" },
	{ 0x35911be9, "seq_read" },
	{ 0x2f52e93e, "sock_i_ino" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0xf0a1be6, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x986becf4, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xa53730d5, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1a6023f, "sock_alloc_send_pskb" },
	{ 0x4b54aea, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x45d4eef1, "remove_proc_entry" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4da836e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4d79959b, "skb_copy" },
	{ 0xc6f24b7e, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xec0d962f, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x90f326dd, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x77697293, "sock_gettstamp" },
	{ 0x264ef683, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe2076db7, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x683b649b, "from_kuid_munged" },
	{ 0x2340b09a, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x38b1e50d, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2449edfb, "proc_create_seq_private" },
	{ 0x6cffdfc1, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x1a05de94, "crypto_alloc_shash" },
	{ 0x4463fc04, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x2f3a63e2, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf6fa8548, "put_pid" },
	{ 0xcf6b96b7, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2249068f, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x498e68d6, "__dev_fwnode" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x1edcc3d8, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x15d4c761, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc4df8deb, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x16525397, "security_sock_graft" },
	{ 0xcddd9681, "skb_free_datagram" },
	{ 0x40ab6d6, "sock_queue_rcv_skb_reason" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0xfbe30527, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "BB61D817D7FAE2DCBBBAFAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
