#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x6b71747a, "");
SYMBOL_CRC(fw_iso_resources_init, 0xee60d6e8, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xb552b40f, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x607442cf, "");
SYMBOL_CRC(fw_iso_resources_update, 0x4696eb8a, "");
SYMBOL_CRC(fw_iso_resources_free, 0xa081bfcf, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x1db814b0, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x701e9f1a, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0xde48db18, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xf754ed21, "");
SYMBOL_CRC(avc_general_get_plug_info, 0xadc31646, "");
SYMBOL_CRC(fcp_avc_transaction, 0x8a2daf2e, "");
SYMBOL_CRC(fcp_bus_reset, 0x6a6944fb, "");
SYMBOL_CRC(cmp_connection_init, 0xdeb76bb7, "");
SYMBOL_CRC(cmp_connection_check_used, 0xd1c37d0f, "");
SYMBOL_CRC(cmp_connection_destroy, 0x99ccb6d0, "");
SYMBOL_CRC(cmp_connection_reserve, 0xc70a22db, "");
SYMBOL_CRC(cmp_connection_release, 0x38f2dea0, "");
SYMBOL_CRC(cmp_connection_establish, 0x97500177, "");
SYMBOL_CRC(cmp_connection_update, 0xe14e723f, "");
SYMBOL_CRC(cmp_connection_break, 0x3f5d854a, "");
SYMBOL_CRC(amdtp_stream_init, 0xbd0f260b, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xafd9c24b, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x1649e1ba, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x217554d2, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0xd3b75480, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x3fc7dea0, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x4f1f5a01, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x0fdcc639, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xfdf428b3, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x2863ca28, "");
SYMBOL_CRC(amdtp_domain_init, 0x2eaa3c02, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x09c595f5, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x9e86f664, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x5dc86b80, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x46154731, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xe9f62eb0, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xc6bbe68b, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x140ae7f3, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x82afdee8, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xa63dd8af, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x14c0dce1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc9d08216, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x23d38a25, "fw_core_remove_address_handler" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1b3b7415, "fw_iso_context_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8dc20fb, "fw_core_add_address_handler" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x810ed989, "snd_pcm_hw_rule_add" },
	{ 0x7ae30378, "fw_iso_context_queue" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xb5192ea7, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xb5b6a2fd, "fw_iso_buffer_destroy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x463da2b8, "fw_iso_resource_manage" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1847b4d7, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2f7a4af6, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa6c3b34c, "snd_pcm_stop_xrun" },
	{ 0xbe343419, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb7d739a, "snd_pcm_period_elapsed" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x21f3a9d3, "fw_iso_context_flush_completions" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x43f793e9, "fw_iso_context_destroy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xa4091444, "fw_run_transaction" },
	{ 0xe34b29e9, "snd_rawmidi_receive" },
	{ 0xd4c55474, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x84dbed04, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa5f90e07, "snd_pcm_hw_constraint_minmax" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "CCF87AF678006753BE8130B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
