#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xa08f796c, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xee647fb9, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xc291a6d4, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x727d527c, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xdbdf84cb, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xecbc952f, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x88f82f4e, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x7855b774, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x6d36fc33, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x53af4c61, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x9fc9be2b, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x41c59ac5, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xc631f804, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x19899e51, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x9e0f5363, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x444ed2e0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xf825fec3, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x331c19d7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x046148e5, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x8e90f26b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x489363cf, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xfdf57758, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x7a8c8c73, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb25bcabe, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x858d026d, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x2299e4c2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x3f0ef050, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x84d76c80, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x6018c045, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xabfb9916, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x695851ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe67ee5a9, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0cebcc1, "kthread_create_worker" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x7f052f5, "_dev_info" },
	{ 0x8fd791b2, "sched_set_fifo" },
	{ 0xcb27f843, "crypto_register_aead" },
	{ 0x25157d13, "crypto_unregister_aead" },
	{ 0x48b34a07, "crypto_register_ahash" },
	{ 0x31ffe6a1, "crypto_unregister_ahash" },
	{ 0x134c1d60, "crypto_register_akcipher" },
	{ 0x66a61362, "crypto_unregister_akcipher" },
	{ 0x7a7ec14b, "crypto_register_kpp" },
	{ 0xf519c92f, "crypto_unregister_kpp" },
	{ 0xe877a045, "crypto_register_skcipher" },
	{ 0x2580b064, "crypto_unregister_skcipher" },
	{ 0xbc933784, "crypto_enqueue_request" },
	{ 0x4a00122f, "crypto_dequeue_request" },
	{ 0x3327debe, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a417823, "kthread_destroy_worker" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
