#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5d4ae, "ata_std_qc_defer" },
	{ 0xc6bd8b55, "pci_unregister_driver" },
	{ 0x613ee2f8, "pcim_enable_device" },
	{ 0xa12a2d59, "pcim_iomap_regions" },
	{ 0x689bdaea, "pcim_iomap_table" },
	{ 0xdba0d286, "ata_host_alloc_pinfo" },
	{ 0x4fae8d58, "dma_set_mask" },
	{ 0x59709c29, "dma_set_coherent_mask" },
	{ 0x93fb6c24, "pcie_set_readrq" },
	{ 0xb19ad47e, "pci_set_master" },
	{ 0x937cdc74, "ata_host_activate" },
	{ 0xd9951f01, "ata_print_version" },
	{ 0xf2f1dbac, "pci_enable_msi" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xc62b0a03, "pci_intx" },
	{ 0xdc4a37ea, "ata_eh_freeze_port" },
	{ 0x89ea1c41, "sata_pmp_error_handler" },
	{ 0x472da233, "sata_std_hardreset" },
	{ 0xf3db8a41, "sata_set_spd" },
	{ 0x21935704, "ata_link_online" },
	{ 0x6c98647, "sata_deb_timing_long" },
	{ 0x9dbb9fe7, "sata_link_debounce" },
	{ 0x56a1f416, "ata_link_offline" },
	{ 0x9b7f43b1, "ata_msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x7b1cf64c, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0x8498d17f, "sata_pmp_port_ops" },
	{ 0xcf9d7c71, "ata_scsi_queuecmd" },
	{ 0x1d0b57b1, "ata_scsi_ioctl" },
	{ 0xec27d40e, "ata_scsi_slave_alloc" },
	{ 0x7f24312, "ata_scsi_device_configure" },
	{ 0x6a9050d2, "ata_scsi_slave_destroy" },
	{ 0x3a3bfd18, "ata_scsi_change_queue_depth" },
	{ 0xc988ef93, "ata_scsi_dma_need_drain" },
	{ 0x882bc10a, "ata_std_bios_param" },
	{ 0x70d3f772, "ata_scsi_unlock_native_capacity" },
	{ 0xa32d0908, "ata_ncq_sdev_groups" },
	{ 0x26d7e3b3, "ata_pci_remove_one" },
	{ 0x9573e512, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27aeed73, "__pci_register_driver" },
	{ 0x7cf0456a, "ata_wait_register" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x957aebae, "ata_pci_device_do_resume" },
	{ 0x319b2dcd, "ata_host_resume" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2983c47d, "ata_qc_complete_multiple" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xbff84689, "ata_port_freeze" },
	{ 0xea6933df, "ata_ehi_clear_desc" },
	{ 0x3de3b55b, "ata_ehi_push_desc" },
	{ 0xc3e6d2ee, "ata_link_abort" },
	{ 0xe49b4034, "sata_async_notification" },
	{ 0x2705f600, "ata_port_abort" },
	{ 0x92997ed8, "_printk" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0x491521d8, "dmam_alloc_attrs" },
	{ 0xd7580eb2, "ata_port_pbar_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AD5399C3E2766CD334A60FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
