#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x904f57c3, "drm_atomic_helper_damage_merged" },
	{ 0xb41bbf19, "noop_llseek" },
	{ 0x6fdd78d4, "drm_read" },
	{ 0x9a9c2392, "drm_gem_fb_create_with_dirty" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb9f54651, "drm_gem_begin_shadow_fb_access" },
	{ 0x284fa8c4, "drmm_kms_helper_poll_init" },
	{ 0x97ca782a, "drm_atomic_helper_check_plane_state" },
	{ 0xe433a347, "drm_crtc_init_with_planes" },
	{ 0x4b4e91dd, "drm_atomic_helper_disable_planes_on_crtc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x78acab2e, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0x7824590e, "__devm_drm_dev_alloc" },
	{ 0xa0af9c54, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x897084af, "drmm_kmalloc" },
	{ 0xb68670db, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd390f1c2, "drm_atomic_helper_set_config" },
	{ 0xbfbb1d0e, "devm_arch_phys_wc_add" },
	{ 0x4fe4565d, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xe35f1646, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xf020de78, "drm_connector_cleanup" },
	{ 0x1c06e115, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d5d64b3, "drm_universal_plane_init" },
	{ 0x1880e9a2, "drm_gem_destroy_shadow_plane_state" },
	{ 0xee7fdd87, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x34b90163, "drm_crtc_enable_color_mgmt" },
	{ 0x14c4003c, "drm_fb_memcpy" },
	{ 0xd4a44d63, "drm_encoder_init" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5fd5c17d, "drm_helper_probe_single_connector_modes" },
	{ 0x39ff015a, "__drm_atomic_helper_crtc_reset" },
	{ 0x8cee853d, "drm_gem_reset_shadow_plane" },
	{ 0x9006b38c, "pcim_iomap" },
	{ 0x4205e0ff, "pci_disable_device" },
	{ 0x108ceb06, "drm_gem_end_shadow_fb_access" },
	{ 0xe24f788f, "drm_atomic_helper_page_flip" },
	{ 0xc25fed3d, "devm_ioremap_wc" },
	{ 0x6117994c, "drm_atomic_helper_connector_reset" },
	{ 0xf8ad2cfd, "drm_mode_config_reset" },
	{ 0x7946b6e1, "__devm_add_action" },
	{ 0xcd6c46aa, "drm_mode_config_helper_resume" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x613ee2f8, "pcim_enable_device" },
	{ 0xe95f0792, "drm_fbdev_shmem_setup" },
	{ 0xb487521b, "drm_atomic_helper_update_plane" },
	{ 0x1f1c09de, "drm_compat_ioctl" },
	{ 0x9bd83007, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x2634bee1, "drm_release" },
	{ 0xfc69873d, "drm_connector_helper_detect_from_ddc" },
	{ 0x38ec3de4, "pci_save_state" },
	{ 0x5424aaaa, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7857134e, "drm_open" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xaeb24654, "drm_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2c10d13b, "drm_mode_crtc_set_gamma_size" },
	{ 0xd0bb580d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb226ced6, "drm_plane_enable_fb_damage_clips" },
	{ 0x3a437698, "drm_gem_shmem_dumb_create" },
	{ 0x4aa32e74, "i2c_bit_add_bus" },
	{ 0xfac58cf6, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x110abdd8, "drm_atomic_helper_shutdown" },
	{ 0xe505f7c, "request_firmware" },
	{ 0x27aeed73, "__pci_register_driver" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xc93f63ff, "drmm_kfree" },
	{ 0x37a0cba, "kfree" },
	{ 0xf04beae0, "drm_crtc_cleanup" },
	{ 0x9364e95a, "pci_set_power_state" },
	{ 0x4c9d8f9a, "drm_encoder_cleanup" },
	{ 0x7a88dbbd, "devm_arch_io_reserve_memtype_wc" },
	{ 0x4adc8c54, "drmm_mode_config_init" },
	{ 0xc6bd8b55, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd52f27db, "drm_add_modes_noedid" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0x148c8cfc, "drm_connector_attach_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec397cdf, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x27f98c6f, "__drmm_add_action_or_reset" },
	{ 0xb06c63e4, "drm_connector_helper_get_modes" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x468c65b4, "drm_atomic_helper_commit" },
	{ 0x9945dabf, "drm_atomic_helper_check" },
	{ 0xa34e4924, "__drmm_mutex_release" },
	{ 0x112aa36e, "drm_atomic_helper_connector_destroy_state" },
	{ 0xcfcd397c, "drm_gem_mmap" },
	{ 0x7f052f5, "_dev_info" },
	{ 0x6212e16f, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x69ca8ec6, "drm_ioctl" },
	{ 0x8f506b5b, "drm_plane_cleanup" },
	{ 0xc157e3f0, "i2c_del_adapter" },
	{ 0x650e43e7, "drm_atomic_helper_commit_tail" },
	{ 0xdcf7619e, "drm_connector_init" },
	{ 0xee0bd1d6, "pci_iomap_range" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xd999b9d0, "drm_mode_config_helper_suspend" },
	{ 0x527e889a, "drm_connector_init_with_ddc" },
	{ 0xab6fb8cb, "drm_add_edid_modes" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v00001A03d00002000sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00001A03d00002010sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "A82D6C675661DE8A6E962CE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
