#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0xffecf08a, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x1c3e1079, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x687449f7, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x2658959f, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x97678396, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0xc284df72, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0xbff9e3dd, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x18493956, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0xf87b9f21, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0x89e8531c, "_gpl");
SYMBOL_CRC(hsi_async, 0x72bedf61, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x74d081f1, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x3a2f1165, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x38ffbd73, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0xd084dedc, "_gpl");
SYMBOL_CRC(hsi_event, 0x54ead8ac, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0xbad6e825, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x50b7482f, "device_for_each_child" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xd891815c, "put_device" },
	{ 0xc13002a4, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2425288a, "bus_unregister" },
	{ 0x2cc83692, "device_add" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf295f50f, "device_register" },
	{ 0xa80bbc04, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x794c2044, "driver_register" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xccfb1687, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25c35704, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xa09e2c32, "device_unregister" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
