#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x565c2d04, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x2c42f5e4, "");
SYMBOL_CRC(ib_cm_listen, 0x841131ba, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xd2ee7dad, "");
SYMBOL_CRC(ib_send_cm_req, 0xbf724779, "");
SYMBOL_CRC(ib_send_cm_rep, 0x0845ec36, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xdff886b1, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xb222c146, "");
SYMBOL_CRC(ib_send_cm_drep, 0x39846449, "");
SYMBOL_CRC(ib_send_cm_rej, 0xc0dadf4e, "");
SYMBOL_CRC(ib_send_cm_mra, 0x990e274d, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x1173c5d3, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xd26880db, "");
SYMBOL_CRC(ib_cm_notify, 0x856ccc63, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x5e8d401c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x15bea119, "rdma_create_ah" },
	{ 0x408b6799, "ib_init_ah_attr_from_wc" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0xdd5d523f, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x9df4ed5e, "ib_register_client" },
	{ 0xa0fa9858, "ib_unregister_mad_agent" },
	{ 0x77bb3bed, "ib_post_send_mad" },
	{ 0xb81a5bea, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0xf6d18776, "rdma_destroy_ah_attr" },
	{ 0x570cff47, "ib_set_client_data" },
	{ 0x29e03d09, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x5ac99e50, "rdma_put_gid_attr" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8b13872f, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1e8103ac, "rdma_destroy_ah_user" },
	{ 0x4b6e0979, "ib_free_send_mad" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0xd97c834b, "ib_port_unregister_client_groups" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0xb22ceabd, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x55b72ab5, "rdma_find_gid" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68f16072, "ib_free_recv_mad" },
	{ 0xc62f33b7, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe3b78752, "ib_modify_mad" },
	{ 0x5594e5e1, "ib_create_ah_from_wc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x1bdf1ae1, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1d80d69, "ib_init_ah_attr_from_path" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x37dcdf1e, "rdma_query_gid" },
	{ 0xf71126cb, "ib_port_register_client_groups" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xb6cf0be5, "ib_modify_port" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E4E2A2774A72D619A18540F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
