#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x445248a5, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0xbbae629b, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x0da63c24, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x9d1813f0, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x223d1151, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xabda8dfd, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x7383ea60, "");
SYMBOL_CRC(mptscsih_remove, 0x63aadad7, "");
SYMBOL_CRC(mptscsih_shutdown, 0x76e3dd82, "");
SYMBOL_CRC(mptscsih_suspend, 0x2833efc1, "");
SYMBOL_CRC(mptscsih_resume, 0xcca9cd87, "");
SYMBOL_CRC(mptscsih_show_info, 0xa057e6d7, "");
SYMBOL_CRC(mptscsih_info, 0x157527b7, "");
SYMBOL_CRC(mptscsih_qcmd, 0xb1d3e7e3, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0xa1fc62f1, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x5ff84729, "");
SYMBOL_CRC(mptscsih_abort, 0x402bb636, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x1f0c7332, "");
SYMBOL_CRC(mptscsih_target_reset, 0xde746d19, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x5a7f24b1, "");
SYMBOL_CRC(mptscsih_host_reset, 0xe015eebc, "");
SYMBOL_CRC(mptscsih_bios_param, 0x93276dd5, "");
SYMBOL_CRC(mptscsih_io_done, 0xc38f59c7, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x411a9084, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0xc9b58332, "");
SYMBOL_CRC(mptscsih_event_process, 0xdc625f71, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x1d445ce7, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0xb6a045b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x6dabb1e7, "scsi_host_put" },
	{ 0x1aa681e3, "mpt_detach" },
	{ 0x3d5f9433, "scsi_block_requests" },
	{ 0x5ca17ba9, "mpt_suspend" },
	{ 0xcdddb514, "mpt_resume" },
	{ 0xbf9a03b5, "scsi_unblock_requests" },
	{ 0xa6a303db, "mpt_print_ioc_summary" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4da836e, "seq_printf" },
	{ 0x7ad91b9f, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21b17fe8, "mpt_put_msg_frame" },
	{ 0x3ddab43a, "mpt_free_msg_frame" },
	{ 0x141fe82f, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd0dd1434, "mpt_GetIocState" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc97447ea, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3be09415, "mpt_send_handshake_request" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9532a5d4, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x4c17cdca, "mpt_Soft_Hard_ResetHandler" },
	{ 0x45518905, "mpt_put_msg_frame_hi_pri" },
	{ 0x85fe6c02, "mpt_HardResetHandler" },
	{ 0x82e13cea, "scsi_print_command" },
	{ 0x314fced9, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0xe0fccd6f, "mpt_halt_firmware" },
	{ 0x65b45cb, "complete" },
	{ 0xa38b0079, "scsi_change_queue_depth" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe511b085, "mpt_raid_phys_disk_get_num_paths" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb4d04b00, "mpt_raid_phys_disk_pg1" },
	{ 0x4241cb01, "scsi_dma_unmap" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "FD45EE1B036082930164509");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
