#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe893e13d, "platform_device_unregister" },
	{ 0x4beea11a, "platform_get_resource" },
	{ 0xf9a3c35c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb6cff648, "debugfs_remove" },
	{ 0x43fa6c00, "napi_enable" },
	{ 0xb485d14, "netif_receive_skb" },
	{ 0xad101e77, "register_netdev" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x6999a10c, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x1d3cd537, "netif_tx_stop_all_queues" },
	{ 0x8b13872f, "bpf_trace_run1" },
	{ 0x7b4552cf, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa599e71, "__platform_driver_register" },
	{ 0x526fbbc2, "pv_ops" },
	{ 0x3d9667be, "bpf_trace_run3" },
	{ 0x35911be9, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0x74af96e8, "platform_device_register_full" },
	{ 0x999e8297, "vfree" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbcb61b94, "acpi_fetch_acpi_dev" },
	{ 0x5f078cd4, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x4b54aea, "seq_write" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x50cfae09, "netif_carrier_off" },
	{ 0xc4da836e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x264ef683, "single_release" },
	{ 0x80041cf7, "napi_schedule_prep" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbace522c, "napi_disable" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6cffdfc1, "single_open" },
	{ 0x4463fc04, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x634027d5, "napi_alloc_skb" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x913ee564, "acpi_device_hid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x24a63117, "bpf_trace_run4" },
	{ 0xee706f15, "skb_put" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeb0216bb, "platform_driver_unregister" },
	{ 0x3a7a4e61, "vmalloc_to_page" },
	{ 0x21706b77, "consume_skb" },
	{ 0x2680e214, "platform_get_irq" },
	{ 0x61f3c8c0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0x37647251, "unregister_netdev" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xd94a23d3, "dev_trans_start" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x7c907c0c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xfbdb1346, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x61134374, "ether_setup" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0x88a01d25, "__acpi_bus_register_driver" },
	{ 0x5d576c48, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf101fc5, "napi_complete_done" },
	{ 0x4f51849b, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd06dabbb, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C02:*");

MODULE_INFO(srcversion, "66390DDE6396D67FE07EBEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
