#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xcaaae1da, "skb_copy_expand" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x8452368d, "eth_mac_addr" },
	{ 0xec93b9bc, "usb_autopm_get_interface" },
	{ 0x5e342bd, "usb_autopm_put_interface" },
	{ 0xa54e4681, "usbnet_read_cmd" },
	{ 0x50cfae09, "netif_carrier_off" },
	{ 0x7704d6e, "usbnet_read_cmd_nopm" },
	{ 0x88ef048d, "usbnet_resume" },
	{ 0x74d05c48, "usb_reset_configuration" },
	{ 0xf0482084, "usbnet_get_endpoints" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0xc98a566f, "netif_set_tso_max_size" },
	{ 0xac0072e6, "usb_driver_set_configuration" },
	{ 0x779a45d7, "usbnet_suspend" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0x803c774d, "usbnet_probe" },
	{ 0xd1d90861, "usbnet_disconnect" },
	{ 0xb710ea23, "usbnet_open" },
	{ 0x58bf7c74, "usbnet_stop" },
	{ 0x97f077fb, "usbnet_start_xmit" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0x293b5a67, "usbnet_tx_timeout" },
	{ 0x8085c8b2, "dev_get_tstats64" },
	{ 0x83d50aae, "usbnet_get_msglevel" },
	{ 0xa853a4e1, "usbnet_set_msglevel" },
	{ 0xaf00651e, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0xee706f15, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x81c7d8ec, "usbnet_skb_return" },
	{ 0x4a1c2653, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf8f9524d, "usb_register_driver" },
	{ 0xc20144fe, "usb_deregister" },
	{ 0x4630acf1, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd32cf21d, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0xbc957ec5, "netdev_warn" },
	{ 0xc639ea3a, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
