#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xf1b6e62f, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x900a1bd1, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x8001e4e6, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xe32c3046, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x268da1cf, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x9ff4cd40, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xb4263eb2, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xbe214431, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x830994cb, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x799c68df, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x31ad631b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xcb1b62fd, "netif_tx_lock" },
	{ 0x97f077fb, "usbnet_start_xmit" },
	{ 0xdbdacaf5, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xc34d557d, "usbnet_write_cmd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4a413171, "hrtimer_active" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0xa54e4681, "usbnet_read_cmd" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0xee706f15, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81c7d8ec, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x36e772cc, "cdc_parse_cdc_header" },
	{ 0x39858f5d, "usb_ifnum_to_if" },
	{ 0xc1526e54, "usb_driver_claim_interface" },
	{ 0x5c900988, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x995f0905, "usbnet_get_ethernet_addr" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xbe600c42, "__alloc_skb" },
	{ 0x138a6492, "usbnet_manage_power" },
	{ 0x813eb82a, "usbnet_cdc_update_filter" },
	{ 0xb710ea23, "usbnet_open" },
	{ 0x58bf7c74, "usbnet_stop" },
	{ 0x2f7dfde0, "usbnet_set_rx_mode" },
	{ 0x8452368d, "eth_mac_addr" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0x293b5a67, "usbnet_tx_timeout" },
	{ 0x8085c8b2, "dev_get_tstats64" },
	{ 0x4a1c2653, "usbnet_get_drvinfo" },
	{ 0x83d50aae, "usbnet_get_msglevel" },
	{ 0xa853a4e1, "usbnet_set_msglevel" },
	{ 0xf4ae7953, "usbnet_nway_reset" },
	{ 0x3a8a047f, "usbnet_get_link" },
	{ 0x8d78a627, "ethtool_op_get_ts_info" },
	{ 0x14dd12be, "usbnet_get_link_ksettings_internal" },
	{ 0x803c774d, "usbnet_probe" },
	{ 0xd1d90861, "usbnet_disconnect" },
	{ 0x779a45d7, "usbnet_suspend" },
	{ 0x88ef048d, "usbnet_resume" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6de3eddc, "usb_driver_release_interface" },
	{ 0xb152a5e3, "usb_altnum_to_altsetting" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0xf8f9524d, "usb_register_driver" },
	{ 0xc20144fe, "usb_deregister" },
	{ 0xca3a38bc, "usbnet_link_change" },
	{ 0x164f2b58, "usbnet_update_max_qlen" },
	{ 0x94b4cb29, "usbnet_unlink_rx_urbs" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
