#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4060fcdb, "mii_check_media" },
	{ 0xac1dff9, "mii_ethtool_gset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdffd7274, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0482084, "usbnet_get_endpoints" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6dc9b667, "platform_get_ethdev_address" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88ef048d, "usbnet_resume" },
	{ 0xa8d03dc7, "netdev_info" },
	{ 0x779a45d7, "usbnet_suspend" },
	{ 0x803c774d, "usbnet_probe" },
	{ 0xd1d90861, "usbnet_disconnect" },
	{ 0xb710ea23, "usbnet_open" },
	{ 0x58bf7c74, "usbnet_stop" },
	{ 0x97f077fb, "usbnet_start_xmit" },
	{ 0x8452368d, "eth_mac_addr" },
	{ 0xf79d4ffc, "eth_validate_addr" },
	{ 0x293b5a67, "usbnet_tx_timeout" },
	{ 0x8085c8b2, "dev_get_tstats64" },
	{ 0x4a1c2653, "usbnet_get_drvinfo" },
	{ 0x83d50aae, "usbnet_get_msglevel" },
	{ 0xa853a4e1, "usbnet_set_msglevel" },
	{ 0xf4ae7953, "usbnet_nway_reset" },
	{ 0x3a8a047f, "usbnet_get_link" },
	{ 0xd5a161de, "usbnet_get_link_ksettings_mii" },
	{ 0x88a8781, "usbnet_set_link_ksettings_mii" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe84717b, "usbnet_write_cmd_nopm" },
	{ 0xc34d557d, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc957ec5, "netdev_warn" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x7704d6e, "usbnet_read_cmd_nopm" },
	{ 0xa54e4681, "usbnet_read_cmd" },
	{ 0x4630acf1, "usbnet_defer_kevent" },
	{ 0x5cc0b3d9, "__dynamic_netdev_dbg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ae3a5b4, "device_set_wakeup_enable" },
	{ 0x1325bc25, "usbnet_change_mtu" },
	{ 0x140763a1, "generic_mii_ioctl" },
	{ 0xf8f9524d, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc20144fe, "usb_deregister" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xb16abd6e, "pskb_expand_head" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0xee706f15, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81c7d8ec, "usbnet_skb_return" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet,usbcore");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "68C8C6BEE099BCF8629E751");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
