#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae5d2f4b, "page_pool_create" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x43fa6c00, "napi_enable" },
	{ 0x67e185b7, "xdp_features_clear_redirect_target" },
	{ 0x75ecc5ab, "xdp_features_set_redirect_target" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x50cfae09, "netif_carrier_off" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x245dac82, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc31c7ccd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8982656e, "rtnl_link_get_net" },
	{ 0x6b199e8b, "rtnl_create_link" },
	{ 0xa008e5d9, "netif_inherit_tso_max" },
	{ 0xe75b23e2, "register_netdevice" },
	{ 0x84a608bc, "netdev_update_features" },
	{ 0x3ad9073c, "rtnl_configure_link" },
	{ 0x2b7f4ab1, "__put_net" },
	{ 0x6999a10c, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x832555ba, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4844ad03, "netif_carrier_on" },
	{ 0x92997ed8, "_printk" },
	{ 0x10be5df1, "xdp_rxq_info_is_reg" },
	{ 0xd2f687, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb1f25d7f, "skb_pp_cow_data" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x21706b77, "consume_skb" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb3da3646, "bpf_warn_invalid_xdp_action" },
	{ 0xa8099d72, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xb858fa8e, "xdp_do_redirect" },
	{ 0x174c12ef, "xdp_return_buff" },
	{ 0xbb43b0a6, "xdp_master_redirect" },
	{ 0x5d576c48, "eth_type_trans" },
	{ 0x1edcc3d8, "skb_dump" },
	{ 0xb485d14, "netif_receive_skb" },
	{ 0xb16abd6e, "pskb_expand_head" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf101fc5, "napi_complete_done" },
	{ 0xd87b475, "passthru_features_check" },
	{ 0x8452368d, "eth_mac_addr" },
	{ 0xaf00651e, "ethtool_op_get_link" },
	{ 0x8d78a627, "ethtool_op_get_ts_info" },
	{ 0x6bc4eca, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0xdeadf9ca, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44b5e724, "rtnl_link_register" },
	{ 0xc664defd, "unregister_netdevice_queue" },
	{ 0xa7c1a9bc, "netif_set_real_num_tx_queues" },
	{ 0x33bf327f, "netif_set_real_num_rx_queues" },
	{ 0x61134374, "ether_setup" },
	{ 0xc98a566f, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x694170d4, "__xdp_rxq_info_reg" },
	{ 0xf73388d7, "xdp_rxq_info_reg_mem_model" },
	{ 0x61f3c8c0, "netif_napi_add_weight" },
	{ 0xfbdb1346, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb8b04ba1, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xfb33179d, "page_pool_get_stats" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x97448ac6, "__skb_get_hash_net" },
	{ 0x624dd8cd, "rtnl_link_unregister" },
	{ 0x7e9510f1, "xdp_set_features_flag" },
	{ 0x6e22eee9, "xdp_return_frame" },
	{ 0xf5c5cbf6, "sk_skb_reason_drop" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8f4c0be4, "__dev_forward_skb" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x80041cf7, "napi_schedule_prep" },
	{ 0xd06dabbb, "__napi_schedule" },
	{ 0xb2a1159d, "sock_wfree" },
	{ 0x53a5a0e0, "__pskb_pull_tail" },
	{ 0x9e078589, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7f3e695e, "skb_tstamp_tx" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x6cbc7e, "napi_gro_receive" },
	{ 0xa47eafe0, "__xdp_build_skb_from_frame" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xbace522c, "napi_disable" },
	{ 0xdff5d591, "page_pool_destroy" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA3B563B9F75D72903155CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
