#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x48b970c2, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x5af65b8a, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xb80b5343, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x3bf2e4fe, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x5cfd0e24, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x2bb5f8db, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x9f854ead, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x2b8cde38, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x9fbc684e, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x098fd065, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xd593426b, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x83eac240, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x04f90b92, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xbd7a0c94, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x66e0b138, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x41cba89d, "");
SYMBOL_CRC(rtw89_pm_ops, 0xb56f346a, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x97d7b227, "");
SYMBOL_CRC(rtw89_pci_probe, 0xcffc7b23, "");
SYMBOL_CRC(rtw89_pci_remove, 0x207abea8, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0xbe472d9a, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x87cd08c1, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x6afd6062, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59709c29, "dma_set_coherent_mask" },
	{ 0x52e1071e, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbaa268d2, "dma_free_attrs" },
	{ 0x163e0996, "rtw89_core_rx" },
	{ 0x4a54b296, "param_ops_bool" },
	{ 0x6dc5692a, "pci_release_regions" },
	{ 0xd63d99fb, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x22386b3e, "rtw89_core_deinit" },
	{ 0xc1d01642, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4205e0ff, "pci_disable_device" },
	{ 0x4fae8d58, "dma_set_mask" },
	{ 0x80041cf7, "napi_schedule_prep" },
	{ 0x569b6a72, "pci_read_config_byte" },
	{ 0xd494fff0, "dev_kfree_skb_any_reason" },
	{ 0x37f0e845, "rtw89_debug" },
	{ 0x350ceff, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b6d3299, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1496a018, "rtw89_chip_info_setup" },
	{ 0xa7a14bd6, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdd50c908, "pcie_capability_read_word" },
	{ 0x3c431ca0, "pci_find_ext_capability" },
	{ 0xd5f1ad43, "rtw89_alloc_ieee80211_hw" },
	{ 0xe7da1227, "devm_request_threaded_irq" },
	{ 0xd0bb580d, "pci_enable_device" },
	{ 0xee706f15, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x21706b77, "consume_skb" },
	{ 0x6f4040e9, "pci_iomap" },
	{ 0xb10c7b6b, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x41d94395, "skb_dequeue" },
	{ 0x62429c2f, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x45e8f1e3, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xefb3bd62, "rtw89_core_napi_init" },
	{ 0xd042b83d, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0xefeca222, "ieee80211_tx_status_skb" },
	{ 0xe0d9162c, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4d0a55a6, "dma_map_page_attrs" },
	{ 0xf101fc5, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf07e81d2, "devm_free_irq" },
	{ 0xd06dabbb, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f052f5, "_dev_info" },
	{ 0x6ca8c17c, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd1d2221a, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5347cdee, "__dma_sync_single_for_cpu" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x161cf47c, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6857641f, "rtw89_core_napi_deinit" },
	{ 0xdffa23e2, "skb_push" },
	{ 0x58a51755, "dma_alloc_attrs" },
	{ 0xf71e4671, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x27a9c229, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x28a3e995, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0xb19ad47e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8b04a8f, "rtw89_ser_notify" },
	{ 0x5a1d322f, "__netdev_alloc_skb" },
	{ 0x9b5eb104, "skb_unlink" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "5310F283EB574479F465712");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
