#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x141fe82f, "scsi_dma_map" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1bab5098, "scmd_printk" },
	{ 0x2123ba20, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf07f586c, "pci_ioremap_bar" },
	{ 0xd2119158, "pci_read_config_word" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xf20ea735, "scsi_add_host_with_dma" },
	{ 0xd8ceb76f, "scsi_scan_host" },
	{ 0x58a51755, "dma_alloc_attrs" },
	{ 0xc9ecd9d8, "dma_pool_create" },
	{ 0xd0bb580d, "pci_enable_device" },
	{ 0x45e8f1e3, "pci_request_regions" },
	{ 0xb19ad47e, "pci_set_master" },
	{ 0x569b6a72, "pci_read_config_byte" },
	{ 0xa6d4a8d8, "scsi_host_alloc" },
	{ 0xc1d01642, "pci_write_config_byte" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa38b0079, "scsi_change_queue_depth" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8b2c013, "isa_register_driver" },
	{ 0x27aeed73, "__pci_register_driver" },
	{ 0x14705c17, "isa_unregister_driver" },
	{ 0xbaa268d2, "dma_free_attrs" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x44c41b4d, "_dev_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc6bd8b55, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x403e0ec5, "scsi_remove_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x62429c2f, "dma_unmap_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x6dabb1e7, "scsi_host_put" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x6dc5692a, "pci_release_regions" },
	{ 0x4205e0ff, "pci_disable_device" },
	{ 0xc4da836e, "seq_printf" },
	{ 0x4b54aea, "seq_write" },
	{ 0x8aeb513d, "seq_putc" },
	{ 0x177862bb, "scsi_host_busy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4241cb01, "scsi_dma_unmap" },
	{ 0x314fced9, "scsi_done" },
	{ 0xe505f7c, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4d0a55a6, "dma_map_page_attrs" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v000010CDd00001100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00001200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00001300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002500sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002700sv*sd*bc*sc*i*");
MODULE_ALIAS("eisa:sABP7401*");
MODULE_ALIAS("eisa:sABP7501*");

MODULE_INFO(srcversion, "2225E919087387B41920A3F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
