#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_failures_reset_retries, "_gpl", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(scsi_init_limits, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(__scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xa38b0079, "");
SYMBOL_CRC(scsi_track_queue_full, 0x594843d2, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x19665fc7, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xd9610d2c, "");
SYMBOL_CRC(scsi_device_get, 0x54e08d01, "");
SYMBOL_CRC(scsi_device_put, 0xa4fbafb1, "");
SYMBOL_CRC(__scsi_iterate_devices, 0xbd504a2c, "");
SYMBOL_CRC(starget_for_each_device, 0x92c0ba82, "");
SYMBOL_CRC(__starget_for_each_device, 0xf2e82d86, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0x27b1eb0c, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0xd414890c, "");
SYMBOL_CRC(__scsi_device_lookup, 0xd0253687, "");
SYMBOL_CRC(scsi_device_lookup, 0x9f662783, "");
SYMBOL_CRC(scsi_remove_host, 0x403e0ec5, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xf20ea735, "");
SYMBOL_CRC(scsi_host_alloc, 0xa6d4a8d8, "");
SYMBOL_CRC(scsi_host_lookup, 0xa4cd5cea, "");
SYMBOL_CRC(scsi_host_get, 0xc7e5caa5, "");
SYMBOL_CRC(scsi_host_busy, 0x177862bb, "");
SYMBOL_CRC(scsi_host_put, 0x6dabb1e7, "");
SYMBOL_CRC(scsi_is_host_device, 0x9932bd91, "");
SYMBOL_CRC(scsi_queue_work, 0x2a8d69b2, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x25034d8c, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x96d4af05, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0xb8c40af5, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0xeb4fb422, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x2ab0ed9e, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0xcc39846c, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x3b32ebeb, "");
SYMBOL_CRC(scsi_partsize, 0x369e6351, "");
SYMBOL_CRC(scsicam_bios_param, 0xef374f54, "");
SYMBOL_CRC(scsi_schedule_eh, 0xfb32c8c3, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xbca4a132, "");
SYMBOL_CRC(scsi_check_sense, 0xb429394c, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x62e6f9e1, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x5bc0b02c, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x4495bd2f, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x8d432ac1, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0xd69dd4b3, "");
SYMBOL_CRC(scsi_report_device_reset, 0x605ffa33, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x969fbcaf, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_failures_reset_retries, 0x7ee9199d, "_gpl");
SYMBOL_CRC(scsi_execute_cmd, 0x22c93bc0, "");
SYMBOL_CRC(scsi_free_sgtables, 0x66ddeb9d, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0xf25f498b, "");
SYMBOL_CRC(scsi_alloc_request, 0x6a7c4b30, "_gpl");
SYMBOL_CRC(scsi_done, 0x314fced9, "");
SYMBOL_CRC(scsi_done_direct, 0x89c5b38b, "");
SYMBOL_CRC(scsi_init_limits, 0xc8c988c8, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x8824257d, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0x3d5f9433, "");
SYMBOL_CRC(scsi_unblock_requests, 0xbf9a03b5, "");
SYMBOL_CRC(scsi_mode_select, 0xee1d19cf, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0xc47a9880, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x8920bf58, "");
SYMBOL_CRC(scsi_device_set_state, 0xd68e2774, "");
SYMBOL_CRC(sdev_evt_send, 0xe7f9191e, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0xc59282e4, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x1bf40115, "");
SYMBOL_CRC(scsi_device_resume, 0x5f4e358f, "");
SYMBOL_CRC(scsi_target_quiesce, 0x281db50a, "");
SYMBOL_CRC(scsi_target_resume, 0x5e1a6d8e, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x7ddcd2bb, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x57c88014, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xbe2d5038, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x6b6d0393, "_gpl");
SYMBOL_CRC(scsi_host_block, 0xb49ce45e, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0x1d8533fc, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0xc847d08a, "");
SYMBOL_CRC(sdev_enable_disk_events, 0xd4f27bb4, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x9c2225a3, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x55cd2765, "");
SYMBOL_CRC(scsi_build_sense, 0xa0235b1a, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x141fe82f, "");
SYMBOL_CRC(scsi_dma_unmap, 0x4241cb01, "");
SYMBOL_CRC(scsi_is_target_device, 0xb55affdd, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x587eb1a1, "");
SYMBOL_CRC(scsi_add_device, 0x0d1a9c88, "");
SYMBOL_CRC(scsi_resume_device, 0x25daa773, "");
SYMBOL_CRC(scsi_rescan_device, 0x8ca15e36, "");
SYMBOL_CRC(scsi_scan_target, 0x25fdc824, "");
SYMBOL_CRC(scsi_scan_host, 0xd8ceb76f, "");
SYMBOL_CRC(scsi_remove_device, 0x907cff53, "");
SYMBOL_CRC(scsi_remove_target, 0xe1a8653f, "");
SYMBOL_CRC(__scsi_register_driver, 0x7a35dafb, "");
SYMBOL_CRC(scsi_register_interface, 0x3c3098f9, "");
SYMBOL_CRC(scsi_is_sdev_device, 0xe9ac44e9, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x5939d9e4, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0xf4617693, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0xd9c0ad89, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x4285943a, "");
SYMBOL_CRC(scmd_printk, 0x1bab5098, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0x82e13cea, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0xa357762f, "");
SYMBOL_CRC(__scsi_print_sense, 0x15b7ea9a, "");
SYMBOL_CRC(scsi_print_sense, 0x04955b97, "");
SYMBOL_CRC(scsi_print_result, 0xf5faf0e3, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x1faab5b8, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0xd2c5ad10, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0xd244459a, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x944ef4c1, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xa01b3e44, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x3decb45e, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0xf1fa1ab2, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x8ff76fa2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fbe61da, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc13002a4, "module_put" },
	{ 0xc6fc646, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaec32440, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x88d0c35d, "blk_rq_map_user" },
	{ 0xbf996800, "perf_trace_run_bpf_submit" },
	{ 0x2425288a, "bus_unregister" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x6cfc17f0, "init_net" },
	{ 0xa9501c58, "blk_update_request" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2aa4729a, "bus_find_device" },
	{ 0x2cc83692, "device_add" },
	{ 0x2ed51ee4, "blk_rq_map_user_io" },
	{ 0x261c89f3, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0xfb3c8dd3, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xfa23b8a, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8aeb513d, "seq_putc" },
	{ 0x63eac9b, "__blk_rq_map_sg" },
	{ 0x4ff44704, "trace_event_reg" },
	{ 0x811a02e1, "blk_mq_alloc_request" },
	{ 0x6573f300, "ida_free" },
	{ 0x551c9f77, "transport_configure_device" },
	{ 0xaffeb036, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5bf77707, "netlink_kernel_release" },
	{ 0x2118852a, "class_unregister" },
	{ 0xab7e3f8c, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x97bfd536, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xfb47b806, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7b42b410, "transport_add_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x66a029e3, "blk_put_queue" },
	{ 0x8b13872f, "bpf_trace_run1" },
	{ 0xa80bbc04, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x4725eed2, "proc_mkdir" },
	{ 0xed714da2, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x143ab4f9, "blk_mq_wait_quiesce_done" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd77c3733, "blk_post_runtime_resume" },
	{ 0xe8408baf, "blk_rq_unmap_user" },
	{ 0x2f6d1cd6, "param_ops_string" },
	{ 0x711fc31f, "blk_clear_pm_only" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe975208, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x526fbbc2, "pv_ops" },
	{ 0x35911be9, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8611d143, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9a04ad1a, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xff2d56f8, "blk_mq_freeze_queue" },
	{ 0xf07fd82b, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x9f82640d, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86b0f30a, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x405972ff, "sysfs_break_active_protection" },
	{ 0x4b54aea, "seq_write" },
	{ 0x1f4e7f26, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1d2155b, "blk_rq_map_integrity_sg" },
	{ 0x5b92d36f, "transport_destroy_device" },
	{ 0x45d4eef1, "remove_proc_entry" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0xef48c986, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4da836e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xe55350b3, "device_match_any" },
	{ 0x423cd977, "blk_mq_unfreeze_queue" },
	{ 0x3f23e355, "blk_mq_start_request" },
	{ 0xc7383519, "blk_mq_tagset_busy_iter" },
	{ 0x1ac5f787, "queue_limits_commit_update" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x264ef683, "single_release" },
	{ 0x1d65c43f, "blk_mq_quiesce_queue_nowait" },
	{ 0x9a27b045, "sbitmap_weight" },
	{ 0xefc285fc, "dma_unmap_sg_attrs" },
	{ 0x75ea501f, "seq_open" },
	{ 0xad78693a, "__seq_puts" },
	{ 0x142cc978, "blk_pre_runtime_suspend" },
	{ 0x619b2fa8, "__pm_runtime_suspend" },
	{ 0x33f87aaa, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x44c41b4d, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3382432e, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5040291e, "__pm_runtime_disable" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb0684ba8, "sbitmap_get" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7197353d, "blk_post_runtime_suspend" },
	{ 0x83a0950a, "blk_mq_requeue_request" },
	{ 0x794c2044, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xcf6b96b7, "class_register" },
	{ 0xc88b222a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x442b1b74, "blk_queue_rq_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0xa64a5442, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xccfb1687, "bus_register" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0x737f5f4a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5237f6ef, "class_find_device" },
	{ 0xa2e9397f, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5983df25, "param_ops_ullong" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x21cb207d, "add_disk_randomness" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x3e2654b6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25c35704, "dev_set_name" },
	{ 0xb19b67d8, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x169c9027, "proc_create" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x1dd62150, "seq_release" },
	{ 0x872524f0, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc998c2f6, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x72e2614c, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa09e2c32, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc032a0c4, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x459cd7a6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x849bc453, "read_cache_folio" },
	{ 0xea7d5edf, "sysfs_unbreak_active_protection" },
	{ 0x1ed11e53, "device_initialize" },
	{ 0xb3d6020d, "blk_mq_unquiesce_queue" },
	{ 0xcf0336af, "sbitmap_init_node" },
	{ 0x87d8c0e9, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x4b4a0f56, "pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7c907c0c, "seq_lseek" },
	{ 0x4b23575, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x61122335, "blk_mq_kick_requeue_list" },
	{ 0x3c97f67e, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0x50b7482f, "device_for_each_child" },
	{ 0x6901e756, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe059fc0b, "get_device" },
	{ 0xf5c1164, "blk_set_queue_depth" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4a62ef11, "netlink_ack" },
	{ 0xde2dd064, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9d4fe9d, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a3322f, "platform_bus" },
	{ 0x3773d64e, "blk_mq_alloc_tag_set" },
	{ 0x793fb0e0, "wake_up_process" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x1a1a3333, "trace_event_buffer_commit" },
	{ 0x8ca90968, "blk_rq_init" },
	{ 0x356e018c, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0xf5ae5747, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x955b5445, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb5dfa6bd, "blk_execute_rq" },
	{ 0x123f9b19, "unregister_sysctl_table" },
	{ 0xb72634d1, "blk_set_pm_only" },
	{ 0x567b1415, "dma_max_mapping_size" },
	{ 0xd891815c, "put_device" },
	{ 0xd49d6b4b, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x75dd7675, "blk_mq_free_request" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x41f7ef09, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "8A79EDD5AA6A7A9F3AB0D2D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
