#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x31e9e0f1, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x97f9e928, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x7d127d51, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x77f65bdf, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x56c56be5, "");
SYMBOL_CRC(cdns_read_ping_status, 0xc6ae80c6, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xe820d3a0, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x44782c2f, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xe9ade755, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xbe148461, "");
SYMBOL_CRC(sdw_cdns_init, 0x98b1ae1c, "");
SYMBOL_CRC(cdns_bus_conf, 0x73bf8f84, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x98c9a6e9, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x60b3938d, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xd294739b, "");
SYMBOL_CRC(sdw_cdns_probe, 0x3d391c8d, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x211878aa, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xbd87e249, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xdb332899, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c907c0c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9079e685, "sdw_handle_slave_status" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f052f5, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x485aa5d8, "debugfs_attr_read" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0x8ea5e8ef, "simple_attr_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35911be9, "seq_read" },
	{ 0x1f229475, "debugfs_create_file" },
	{ 0x9f82640d, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc4da836e, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x264ef683, "single_release" },
	{ 0xc798a692, "sdw_bread_no_pm_unlocked" },
	{ 0x619b2fa8, "__pm_runtime_suspend" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0x6cffdfc1, "single_open" },
	{ 0x3f29a875, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9093b845, "sdw_bus_prep_clk_stop" },
	{ 0xe7a32840, "simple_attr_open" },
	{ 0xab3e4a4e, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ce05ab2, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "007E1F582C3C0D774127844");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
