#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x0131b805, "");
SYMBOL_CRC(configfs_depend_item, 0xfca1f9f0, "");
SYMBOL_CRC(configfs_undepend_item, 0xd6d20d48, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x81416496, "");
SYMBOL_CRC(configfs_register_group, 0x1d6b6b4e, "");
SYMBOL_CRC(configfs_unregister_group, 0x6efe2962, "");
SYMBOL_CRC(configfs_register_default_group, 0x2296b40e, "");
SYMBOL_CRC(configfs_unregister_default_group, 0x361c13c8, "");
SYMBOL_CRC(configfs_register_subsystem, 0x72670b65, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0xb15f0a66, "");
SYMBOL_CRC(config_item_set_name, 0x2472e4a0, "");
SYMBOL_CRC(config_item_init_type_name, 0xd40c57e9, "");
SYMBOL_CRC(config_group_init_type_name, 0x0565ff56, "");
SYMBOL_CRC(config_item_get, 0xf9d2fde7, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x7f25a011, "");
SYMBOL_CRC(config_item_put, 0x65e7a3c3, "");
SYMBOL_CRC(config_group_init, 0x00e6d6bb, "");
SYMBOL_CRC(config_group_find_item, 0x6a776f01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0a6d7a2, "kmem_cache_create" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6c51654f, "path_put" },
	{ 0x87c8f0fb, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa09acfcc, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7455d8fd, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3c9e13a, "simple_setattr" },
	{ 0xd1465cbd, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc13002a4, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8c298ab7, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x93d0483, "kern_path" },
	{ 0x74c9e474, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x587e89d1, "kmem_cache_alloc_noprof" },
	{ 0xd34fed68, "ram_aops" },
	{ 0xe2ea2d51, "d_delete" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x4aa622b9, "generic_read_dir" },
	{ 0x6a3842d6, "d_add" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x546ef138, "down_write_killable" },
	{ 0x5e447dc7, "inode_set_ctime_current" },
	{ 0xe8d1e23b, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x379597b, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x92abc65f, "generic_delete_inode" },
	{ 0xec0d962f, "_copy_from_iter" },
	{ 0x32e761ea, "simple_release_fs" },
	{ 0x1ba1d1d2, "d_parent_ino" },
	{ 0x79da09ae, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0xbb9c96d3, "inode_permission" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x847c8652, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x9d2709ea, "simple_pin_fs" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5ec5a11b, "__d_drop" },
	{ 0x5682021e, "simple_rmdir" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x3f432fd9, "d_instantiate" },
	{ 0x995d2d37, "_copy_to_iter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3779dbff, "free_inode_nonrcu" },
	{ 0xfd73c87f, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48432007, "unregister_filesystem" },
	{ 0x770e12a2, "d_alloc_name" },
	{ 0xe4d42a7a, "simple_statfs" },
	{ 0x54733a0d, "d_make_root" },
	{ 0x3c0ea2c, "always_delete_dentry" },
	{ 0x578000fe, "fsnotify" },
	{ 0xfa214a70, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x554b605d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fb9fb7b, "iput" },
	{ 0xa0e54dd, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xb6797de2, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xc7b090b2, "register_filesystem" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
