#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa822682b, "inode_newsize_ok" },
	{ 0x7455d8fd, "d_drop" },
	{ 0x152142bd, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xde3af61, "block_invalidate_folio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67d7c1e1, "crypto_skcipher_decrypt" },
	{ 0xd0e17eb2, "truncate_inode_pages_final" },
	{ 0x9389060c, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0xfaef734, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2306af80, "const_pcpu_hot" },
	{ 0x19a22649, "__free_pages" },
	{ 0x47f15f89, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdfd61d6e, "inode_init_once" },
	{ 0x7394c4e0, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7389258, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe29ce34c, "vfs_get_link" },
	{ 0x90a7119e, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeed7fd81, "up_write" },
	{ 0x3db4ce3e, "generic_file_read_iter" },
	{ 0x85227bb9, "unlock_page" },
	{ 0xb41bbf19, "noop_llseek" },
	{ 0xbdb44eb2, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x164a7001, "kmem_cache_alloc_lru_noprof" },
	{ 0xad388e44, "lock_rename" },
	{ 0xea736f2e, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x15cb2f36, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x9154dbea, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x50f9010f, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x70cd135f, "sget" },
	{ 0xa130cb11, "sysfs_create_group" },
	{ 0x68370e58, "__put_devmap_managed_folio_refs" },
	{ 0xfb47b806, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x29e3b0cd, "block_dirty_folio" },
	{ 0x3a6592a, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x93d0483, "kern_path" },
	{ 0x8c05c607, "vfs_set_acl" },
	{ 0x1f096d75, "misc_register" },
	{ 0x5ed6dbbd, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x587e89d1, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdf04f19d, "key_validate" },
	{ 0x96b156db, "unlock_rename" },
	{ 0xe4ec593a, "vfs_rmdir" },
	{ 0xb5577214, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x76e32179, "truncate_setsize" },
	{ 0xe975208, "kthread_create_on_node" },
	{ 0x7895ef67, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce027d59, "vfs_symlink" },
	{ 0x3b755e6f, "super_setup_bdi" },
	{ 0xa5929c12, "igrab" },
	{ 0x4aa622b9, "generic_read_dir" },
	{ 0xef13bf1d, "d_instantiate_new" },
	{ 0x6a3842d6, "d_add" },
	{ 0x61c7d269, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x140c58b, "vfs_mknod" },
	{ 0x6be5a790, "init_user_ns" },
	{ 0xd2ddc2e9, "dentry_open" },
	{ 0x83491ff0, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0x1f4e7f26, "__folio_put" },
	{ 0x17959e87, "vfs_fileattr_set" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4da836e, "seq_printf" },
	{ 0x379597b, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xd9f05d7b, "deactivate_locked_super" },
	{ 0xe5b310ab, "touch_atime" },
	{ 0xb155672a, "lookup_one_len_unlocked" },
	{ 0x2e2072f2, "vfs_llseek" },
	{ 0x219455c6, "alloc_pages_noprof" },
	{ 0xcb7de3dc, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e1506da, "filemap_splice_read" },
	{ 0x6991a296, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xb6720a71, "key_type_user" },
	{ 0x8e2f650a, "kill_anon_super" },
	{ 0x736dcdda, "vfs_getattr_nosec" },
	{ 0x56bbf9c5, "iget5_locked" },
	{ 0xc2b9d8e6, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x51d51f71, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x84e28c75, "param_ops_int" },
	{ 0xbb9c96d3, "inode_permission" },
	{ 0xa2e5afc9, "mntget" },
	{ 0x1a05de94, "crypto_alloc_shash" },
	{ 0xdc85aea2, "__mark_inode_dirty" },
	{ 0x847c8652, "generic_file_llseek" },
	{ 0x492256d4, "make_bad_inode" },
	{ 0x7b74eb5f, "vfs_get_acl" },
	{ 0x956d7db2, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xbc88e2b1, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x8c407640, "iget_failed" },
	{ 0x4f53145f, "kernel_write" },
	{ 0xad036493, "kmem_cache_destroy" },
	{ 0x8f0a1a25, "kobject_put" },
	{ 0xfd4b0d7a, "vfs_create" },
	{ 0xa82797f9, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x36d41e68, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe803c8b9, "generic_fillattr" },
	{ 0x4fd0cca5, "setattr_prepare" },
	{ 0xb270e429, "clear_nlink" },
	{ 0xb03d9c4c, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f432fd9, "d_instantiate" },
	{ 0xd76f77c8, "misc_deregister" },
	{ 0xf1999dcd, "clear_inode" },
	{ 0x81c2bc23, "notify_change" },
	{ 0x3e2654b6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18b112c1, "grab_cache_page_write_begin" },
	{ 0xa35ee394, "vfs_getattr" },
	{ 0x21862e56, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x82cbbdc9, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xfb77f565, "init_special_inode" },
	{ 0x48432007, "unregister_filesystem" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc544da7e, "iterate_dir" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x54733a0d, "d_make_root" },
	{ 0xc991d157, "d_splice_alias" },
	{ 0x1752bf0b, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0598df3, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3fb9fb7b, "iput" },
	{ 0xff2980e, "__vfs_getxattr" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x43f7d8cb, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa594eb1, "crypto_skcipher_setkey" },
	{ 0xaa566d02, "fsstack_copy_attr_all" },
	{ 0xc7b090b2, "register_filesystem" },
	{ 0xd0a6d7a2, "kmem_cache_create" },
	{ 0x38abcac2, "vfs_unlink" },
	{ 0x6c51654f, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x793fb0e0, "wake_up_process" },
	{ 0x7b83adb, "vfs_mkdir" },
	{ 0xc02630cf, "crypto_destroy_tfm" },
	{ 0xb26adb04, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B1A5B836DEB0892125ADCE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
