#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0x17ef44aa, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x55312cc3, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0xdf3a9e57, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0xd4ab9d57, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xd3cfb935, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x0345b2f2, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0x1ab85a3b, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0x9702db40, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x0fb1a946, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0xb3450e2e, "_gpl");
SYMBOL_CRC(register_ife_op, 0x2c81f5f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9dca175, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c12131f, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc13002a4, "module_put" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x6a67fe1c, "try_module_get" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xbfedcceb, "tcf_unregister_action" },
	{ 0x579a125d, "kmalloc_caches" },
	{ 0x4e38792c, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83e77c15, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x5d576c48, "eth_type_trans" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xdffa23e2, "skb_push" },
	{ 0xe9046e3b, "ife_encode" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xfe34b224, "skb_pull" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xc64a5ec4, "skb_trim" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd27afd00, "tcf_idr_check_alloc" },
	{ 0x630a83b7, "tcf_action_check_ctrlact" },
	{ 0x227b5479, "tcf_action_set_ctrlact" },
	{ 0x398e523b, "tcf_chain_put_by_act" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd6abeca5, "tcf_idr_release" },
	{ 0x23466ca1, "tcf_idr_create" },
	{ 0x5119d7e1, "tcf_idr_cleanup" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "834F0F8255C33F2BB13D41E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
