#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0xea455562, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0xf15b795a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x201b37b4, "snd_hdac_register_chmap_ops" },
	{ 0x5af9d3ec, "snd_hdac_ext_bus_link_get" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x859823e3, "snd_hdac_setup_channel_mapping" },
	{ 0x7742fcb8, "snd_ctl_notify" },
	{ 0x8f45887a, "snd_hdac_codec_link_down" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x254a9011, "dapm_kcontrol_get_value" },
	{ 0x7c4a1763, "snd_hdac_acomp_get_eld" },
	{ 0xf9e9297d, "_dev_warn" },
	{ 0x32935af6, "snd_hdac_display_power" },
	{ 0xce3486b9, "snd_hda_ext_driver_register" },
	{ 0x8077efb6, "snd_pcm_hw_constraint_mask64" },
	{ 0xfa16c8fb, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x441e2f3f, "snd_soc_info_enum_double" },
	{ 0xfe55c314, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x59d2a1b8, "devm_kasprintf" },
	{ 0x1a7399c, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2aa6f25, "snd_hda_ext_driver_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x461c862d, "snd_soc_dapm_new_controls" },
	{ 0xb369dedd, "snd_hdac_get_sub_nodes" },
	{ 0xfa4de49d, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92ba46cc, "snd_soc_dapm_put_pin_switch" },
	{ 0xf5a425d9, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x647a9035, "snd_soc_dapm_info_pin_switch" },
	{ 0x6d2f01ec, "snd_hdac_ext_bus_link_put" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0xd2f28ded, "snd_soc_add_card_controls" },
	{ 0x619b2fa8, "__pm_runtime_suspend" },
	{ 0x121cf75a, "snd_soc_dapm_get_enum_double" },
	{ 0x4778dc04, "snd_hdac_codec_read" },
	{ 0x5040291e, "__pm_runtime_disable" },
	{ 0x1ace6f8a, "device_link_add" },
	{ 0xb55626de, "hdac_get_device_id" },
	{ 0x92a7b365, "pm_runtime_force_suspend" },
	{ 0xc88b222a, "__pm_runtime_idle" },
	{ 0xc37a4782, "snd_hdac_codec_link_up" },
	{ 0x8a74bd9b, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x45c3a01, "snd_soc_dapm_put_enum_double" },
	{ 0xa21a40a2, "snd_hdac_get_connections" },
	{ 0x1832190f, "devm_kmalloc" },
	{ 0xe27b4cec, "snd_hdac_sync_power_state" },
	{ 0x272196ff, "snd_ctl_add" },
	{ 0x589644f3, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x597c2552, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7fbce348, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x926d2595, "snd_soc_dapm_enable_pin" },
	{ 0x1422df1c, "snd_hdac_codec_write" },
	{ 0x38f4d98b, "snd_soc_dapm_disable_pin" },
	{ 0x3b833ca0, "snd_hdac_query_supported_pcm" },
	{ 0x6ac98b5a, "snd_hdac_refresh_widgets" },
	{ 0xb431bb9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b1be15, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f42f585, "devm_snd_soc_register_component" },
	{ 0x444682ff, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x5b88ffa3, "snd_soc_dapm_new_widgets" },
	{ 0x3f154d71, "devm_kstrdup" },
	{ 0xa6559a14, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd49d6b4b, "pm_runtime_enable" },
	{ 0xbeb85813, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbd475136, "snd_hdac_acomp_register_notifier" },
	{ 0x5b166dac, "devm_kmemdup" },
	{ 0x24189327, "snd_hdac_read_parm_uncached" },
	{ 0xafa8ef6d, "_dev_err" },
	{ 0xfe1ca9ea, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "9C42E754B820634541D7D8A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
